<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.10
Name: Sectie Eten/drinken
Description: Template voor de weergave van Sectie Eten/drinken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000">
   <title>Sectie Eten/drinken</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.10
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']]
Item: (Sectie_Eten_drinken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']]"
         id="tmp-r-273c52d9-b939-4a7e-89dd-8d62e2fef239">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']/@nullFlavor)">(Sectie_Eten_drinken): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10'])&lt;=1">(Sectie_Eten_drinken): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.10
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']
Item: (Sectie_Eten_drinken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']"
         id="tmp-r-2c26873d-7c30-433e-8272-95d3f04f0989">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.10'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.10']/@nullFlavor)">(Sectie_Eten_drinken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.10'])&lt;=1">(Sectie_Eten_drinken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.10'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:code[(@code='288840008' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='288840008' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Sectie_Eten_drinken): element hl7:code[(@code='288840008' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:code[(@code='288840008' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Sectie_Eten_drinken): element hl7:code[(@code='288840008' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Eten_drinken): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Eten_drinken): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.98']])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.98']]/@nullFlavor)">(Sectie_Eten_drinken): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.98']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.98']])&lt;=1">(Sectie_Eten_drinken): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.98']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.10
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.10']
Item: (Sectie_Eten_drinken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.10']"
         id="tmp-r-4769ac4d-4e17-4582-8cc5-f41c76cd1806">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Eten_drinken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.10'">(Sectie_Eten_drinken): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.10' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.10
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']/hl7:code[(@code='288840008' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Sectie_Eten_drinken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']/hl7:code[(@code='288840008' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-8a1e9a36-8cea-458d-ae6d-2cb52b1ebe2f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Eten_drinken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="@nullFlavor or (@code='288840008' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Eten_drinken): de elementwaarde MOET een zijn van 'code '288840008' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.10
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']/hl7:title
Item: (Sectie_Eten_drinken)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.10
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.98']]
Item: (Sectie_Eten_drinken)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.10']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.98']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.10-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Eten_drinken): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
