<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Name: Sectie Uitscheiding
Description: Template voor de weergave van Sectie Uitscheiding
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000">
   <title>Sectie Uitscheiding</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]
Item: (Sectie_Uitscheiding)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]"
         id="tmp-r-1a52a314-50cf-4125-9300-c52db3e48126">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']/@nullFlavor)">(Sectie_Uitscheiding): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13'])&lt;=1">(Sectie_Uitscheiding): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']
Item: (Sectie_Uitscheiding)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']"
         id="tmp-r-33947665-3c38-42e6-960a-452d1b1abce8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13']/@nullFlavor)">(Sectie_Uitscheiding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13'])&lt;=1">(Sectie_Uitscheiding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:code[(@code='63911002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='63911002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Sectie_Uitscheiding): element hl7:code[(@code='63911002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:code[(@code='63911002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Sectie_Uitscheiding): element hl7:code[(@code='63911002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Uitscheiding): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Uitscheiding): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.124']])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.124']]/@nullFlavor)">(Sectie_Uitscheiding): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.124']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.124']])&lt;=1">(Sectie_Uitscheiding): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.124']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13']
Item: (Sectie_Uitscheiding)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13']"
         id="tmp-r-8d2529ea-c1db-4f7b-83f8-9cfed5bbdc66">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Uitscheiding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.13'">(Sectie_Uitscheiding): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.13' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']/hl7:code[(@code='63911002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Sectie_Uitscheiding)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']/hl7:code[(@code='63911002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-ae7b52e8-aa94-441d-8e14-c8b649d26e42">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Uitscheiding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="@nullFlavor or (@code='63911002' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Uitscheiding): de elementwaarde MOET een zijn van 'code '63911002' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']/hl7:title
Item: (Sectie_Uitscheiding)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.124']]
Item: (Sectie_Uitscheiding)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.124']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.13-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Uitscheiding): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
