<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.20
Name: Sectie Algemene mentale functies
Description: Template voor de weergave van Sectie Algemene mentale functies
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000">
   <title>Sectie Algemene mentale functies</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]
Item: (Sectie_Algemene_mentale_functies)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]"
         id="tmp-r-a3604749-c44f-4b34-b2c6-3f629422296e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']/@nullFlavor)">(Sectie_Algemene_mentale_functies): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20'])&lt;=1">(Sectie_Algemene_mentale_functies): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']
Item: (Sectie_Algemene_mentale_functies)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']"
         id="tmp-r-56a69633-9a80-45a3-a4a1-6fb8206590ae">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20']/@nullFlavor)">(Sectie_Algemene_mentale_functies): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20'])&lt;=1">(Sectie_Algemene_mentale_functies): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000.html"
              test="count(hl7:code[(@code='285231000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='285231000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Sectie_Algemene_mentale_functies): element hl7:code[(@code='285231000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000.html"
              test="count(hl7:code[(@code='285231000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Sectie_Algemene_mentale_functies): element hl7:code[(@code='285231000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Algemene_mentale_functies): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Algemene_mentale_functies): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.199']])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.199']]/@nullFlavor)">(Sectie_Algemene_mentale_functies): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.199']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.199']])&lt;=1">(Sectie_Algemene_mentale_functies): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.199']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20']
Item: (Sectie_Algemene_mentale_functies)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20']"
         id="tmp-r-a6674eaa-a26e-4db1-bedd-d740eaea4570">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Algemene_mentale_functies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.20'">(Sectie_Algemene_mentale_functies): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.20' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']/hl7:code[(@code='285231000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Sectie_Algemene_mentale_functies)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']/hl7:code[(@code='285231000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-0f8117e9-a38e-4beb-aa07-de58cb53b2f1">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Algemene_mentale_functies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000.html"
              test="@nullFlavor or (@code='285231000' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Algemene_mentale_functies): de elementwaarde MOET een zijn van 'code '285231000' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']/hl7:title
Item: (Sectie_Algemene_mentale_functies)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.199']]
Item: (Sectie_Algemene_mentale_functies)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.199']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.20-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Algemene_mentale_functies): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
