<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.26
Name: Sectie Overig
Description: Template voor de weergave van Sectie Overig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000">
   <title>Sectie Overig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.26
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']]
Item: (Sectie_Overig)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']]"
         id="tmp-r-08082a04-b5de-4167-969e-bd67757ce4d4">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26'])&lt;=1">(Sectie_Overig): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.26
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']
Item: (Sectie_Overig)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']"
         id="tmp-r-c0a139ed-1e3c-4094-9a8f-494bccc18b89">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.26'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.26']/@nullFlavor)">(Sectie_Overig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.26'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.26'])&lt;=1">(Sectie_Overig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.26'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:code[(@code='52535-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='52535-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sectie_Overig): element hl7:code[(@code='52535-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:code[(@code='52535-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sectie_Overig): element hl7:code[(@code='52535-2' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Overig): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Overig): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/@nullFlavor)">(Sectie_Overig): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']])&lt;=1">(Sectie_Overig): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.26
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.26']
Item: (Sectie_Overig)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.26']"
         id="tmp-r-39777203-ed6f-4dbd-8f45-d3495c0d4660">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Overig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.26'">(Sectie_Overig): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.26' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.26
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']/hl7:code[(@code='52535-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sectie_Overig)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']/hl7:code[(@code='52535-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-d1d59927-94a3-4724-babf-93f7317a9d2b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Overig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="@nullFlavor or (@code='52535-2' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Overig): de elementwaarde MOET een zijn van 'code '52535-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.26
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']/hl7:title
Item: (Sectie_Overig)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.26
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]
Item: (Sectie_Overig)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.26']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.26-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Overig): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
