<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Name: Sectie Meetwaarden
Description: Template voor de weergave van Sectie Meetwaarden
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000">
   <title>Sectie Meetwaarden</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]
Item: (Sectie_Meetwaarden)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]"
         id="tmp-r-e5cb2fe8-04c9-4068-b62f-503cff290a17">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']/@nullFlavor)">(Sectie_Meetwaarden): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4'])&lt;=1">(Sectie_Meetwaarden): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']
Item: (Sectie_Meetwaarden)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']"
         id="tmp-r-9a1c4c42-834c-4b35-a99d-9bf5c4ec969b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']/@nullFlavor)">(Sectie_Meetwaarden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4'])&lt;=1">(Sectie_Meetwaarden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:code[(@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sectie_Meetwaarden): element hl7:code[(@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:code[(@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sectie_Meetwaarden): element hl7:code[(@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Meetwaarden): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Meetwaarden): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.38']])&lt;=1">(Sectie_Meetwaarden): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.38']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']
Item: (Sectie_Meetwaarden)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']"
         id="tmp-r-4db51ac2-e1b0-4772-8a11-0009839ba719">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Meetwaarden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.4'">(Sectie_Meetwaarden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.4' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']/hl7:code[(@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sectie_Meetwaarden)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']/hl7:code[(@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-fa60cfde-9f59-404e-bb5f-bafb6900731a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Meetwaarden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="@nullFlavor or (@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Meetwaarden): de elementwaarde MOET een zijn van 'code '29274-8' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']/hl7:title
Item: (Sectie_Meetwaarden)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.38']]
Item: (Sectie_Meetwaarden)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.38']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.4-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Meetwaarden): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
