<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.5
Name: Sectie Mobiliteit
Description: Template voor de weergave van Sectie Mobiliteit
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000">
   <title>Sectie Mobiliteit</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.5
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']]
Item: (Sectie_Mobiliteit)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']]"
         id="tmp-r-013f970b-c504-4d48-8b1c-661f14b3ea5b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']/@nullFlavor)">(Sectie_Mobiliteit): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5'])&lt;=1">(Sectie_Mobiliteit): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.5
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']
Item: (Sectie_Mobiliteit)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']"
         id="tmp-r-7cf64cd4-ce94-49f4-a24a-22e1e5e61dc6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.5'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.5']/@nullFlavor)">(Sectie_Mobiliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.5'])&lt;=1">(Sectie_Mobiliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000.html"
              test="count(hl7:code[(@code='301438001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='301438001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Sectie_Mobiliteit): element hl7:code[(@code='301438001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000.html"
              test="count(hl7:code[(@code='301438001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Sectie_Mobiliteit): element hl7:code[(@code='301438001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Mobiliteit): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Mobiliteit): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.53']])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.53']]/@nullFlavor)">(Sectie_Mobiliteit): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.53']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.53']])&lt;=1">(Sectie_Mobiliteit): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.53']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.5
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.5']
Item: (Sectie_Mobiliteit)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.5']"
         id="tmp-r-ce6870c3-e96e-407e-b10d-09aa18c216a1">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Mobiliteit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.5'">(Sectie_Mobiliteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.5' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.5
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']/hl7:code[(@code='301438001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Sectie_Mobiliteit)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']/hl7:code[(@code='301438001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-9ebe0d05-a019-4776-84a9-09bce098f101">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Mobiliteit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000.html"
              test="@nullFlavor or (@code='301438001' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Mobiliteit): de elementwaarde MOET een zijn van 'code '301438001' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.5
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']/hl7:title
Item: (Sectie_Mobiliteit)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.5
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.53']]
Item: (Sectie_Mobiliteit)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.5']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.53']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.5-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Mobiliteit): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
