<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.6
Name: Sectie Wassen
Description: Template voor de weergave van Sectie Wassen 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000">
   <title>Sectie Wassen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.6
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']]
Item: (Sectie_Wassen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']]"
         id="tmp-r-0e35eca6-c59f-4683-9b72-eab5735ba92e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']/@nullFlavor)">(Sectie_Wassen): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6'])&lt;=1">(Sectie_Wassen): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.6
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']
Item: (Sectie_Wassen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']"
         id="tmp-r-adac0901-1bea-4277-9c8c-bdd683016005">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.6'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.6']/@nullFlavor)">(Sectie_Wassen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.6'])&lt;=1">(Sectie_Wassen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000.html"
              test="count(hl7:code[(@code='46606-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='46606-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Sectie_Wassen): element hl7:code[(@code='46606-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000.html"
              test="count(hl7:code[(@code='46606-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Sectie_Wassen): element hl7:code[(@code='46606-0' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Wassen): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Wassen): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.74']])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.74']]/@nullFlavor)">(Sectie_Wassen): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.74']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.74']])&lt;=1">(Sectie_Wassen): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.74']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.6
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.6']
Item: (Sectie_Wassen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.6']"
         id="tmp-r-0f1d464b-cc21-4149-a941-b9a822c405ea">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Wassen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.6'">(Sectie_Wassen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.6' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.6
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']/hl7:code[(@code='46606-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Sectie_Wassen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']/hl7:code[(@code='46606-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-6c521734-53dd-4a0c-8bb0-9b8005dde7dd">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Wassen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000.html"
              test="@nullFlavor or (@code='46606-0' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Wassen): de elementwaarde MOET een zijn van 'code '46606-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.6
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']/hl7:title
Item: (Sectie_Wassen)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.6
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.74']]
Item: (Sectie_Wassen)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.6']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.74']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.6-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Wassen): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
