<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.1
Name: entry kinderen
Description: Template voor de weergave van Entry kinderen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000">
   <title>entry kinderen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]
Item: (Family_details_household_composition)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]"
         id="tmp-r-fe2d3f67-c220-4acf-8785-bd3508a65926">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']/@nullFlavor)">(Family_details_household_composition): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1'])&lt;=1">(Family_details_household_composition): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']
Item: (Family_details_household_composition)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']"
         id="tmp-r-48f2a6c2-ce29-42a8-889e-382bf49ee424">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000.html"
              test="string(@classCode)='OBS'">(Family_details_household_composition): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000.html"
              test="string(@moodCode)='EVN'">(Family_details_household_composition): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']/@nullFlavor)">(Family_details_household_composition): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1'])&lt;=1">(Family_details_household_composition): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000.html"
              test="count(hl7:code[(@code='224085006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='224085006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Family_details_household_composition): element hl7:code[(@code='224085006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000.html"
              test="count(hl7:code[(@code='224085006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Family_details_household_composition): element hl7:code[(@code='224085006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]/@nullFlavor)">(Family_details_household_composition): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']])&lt;=1">(Family_details_household_composition): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']
Item: (Family_details_household_composition)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']"
         id="tmp-r-5471aa55-bccf-450b-9826-9e0fb5b3cf35">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Family_details_household_composition): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.1'">(Family_details_household_composition): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.1' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']/hl7:code[(@code='224085006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Family_details_household_composition)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']/hl7:code[(@code='224085006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-3d737832-9c96-4334-ab4f-d453ab32f3ec">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Family_details_household_composition): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000.html"
              test="@nullFlavor or (@code='224085006' and @codeSystem='2.16.840.1.113883.6.96')">(Family_details_household_composition): de elementwaarde MOET een zijn van 'code '224085006' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]
Item: (Family_details_household_composition)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1-2014-08-20T000000.html"
              test="string(@typeCode)='COMP'">(Family_details_household_composition): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
