<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Name: entry Medische gegevens
Description: Template voor de weergave van entry Medische gegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000">
   <title>entry Medische gegevens</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]
Item: (Entry_Medische_gegevens)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]"
         id="tmp-r-ec361220-8e4c-4a18-a0c1-a8e39be72aaf">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/@nullFlavor)">(Entry_Medische_gegevens): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10'])&lt;=1">(Entry_Medische_gegevens): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']
Item: (Entry_Medische_gegevens)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']"
         id="tmp-r-ba2e10a9-f5bf-4c56-9207-1a5e7ddd4d38">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="string(@classCode)='OBS'">(Entry_Medische_gegevens): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="string(@moodCode)='EVN'">(Entry_Medische_gegevens): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']/@nullFlavor)">(Entry_Medische_gegevens): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10'])&lt;=1">(Entry_Medische_gegevens): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="count(hl7:code)&lt;=1">(Entry_Medische_gegevens): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']])&gt;=1 and not(hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']]/@nullFlavor)">(Entry_Medische_gegevens): element hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']])&lt;=1">(Entry_Medische_gegevens): element hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']])&lt;=1">(Entry_Medische_gegevens): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']])&gt;=1 ">(Entry_Medische_gegevens): element hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']])&lt;=1">(Entry_Medische_gegevens): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.25']])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.25']]/@nullFlavor)">(Entry_Medische_gegevens): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.25']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.25']])&lt;=1">(Entry_Medische_gegevens): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.25']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']
Item: (Entry_Medische_gegevens)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.10']"
         id="tmp-r-22e47ebd-8213-4269-a648-092e2468744a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entry_Medische_gegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.10'">(Entry_Medische_gegevens): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.10' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:code
Item: (Entry_Medische_gegevens)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:code"
         id="tmp-r-2f39cc4b-3951-4ac5-8f1e-61d6cece5773">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Entry_Medische_gegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="@nullFlavor or (@code='371529009' and @codeSystem='2.16.840.1.113883.6.96')">(Entry_Medische_gegevens): de elementwaarde MOET een zijn van 'code '371529009' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']]
Item: (Entry_Medische_gegevens)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.11']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="string(@typeCode)='COMP'">(Entry_Medische_gegevens): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]
Item: (Entry_Medische_gegevens)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="string(@typeCode)='COMP'">(Entry_Medische_gegevens): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]
Item: (Entry_Medische_gegevens)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="string(@typeCode)='COMP'">(Entry_Medische_gegevens): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:entryRelationship[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.17']]
Item: (Entry_Medische_gegevens)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:entryRelationship[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.17']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="string(@typeCode)='COMP'">(Entry_Medische_gegevens): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]
Item: (Entry_Medische_gegevens)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:entryRelationship[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="string(@typeCode)='COMP'">(Entry_Medische_gegevens): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]
Item: (Entry_Medische_gegevens)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="string(@typeCode)='COMP'">(Entry_Medische_gegevens): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.10
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.25']]
Item: (Entry_Medische_gegevens)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.10']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.25']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.10-2014-08-20T000000.html"
              test="string(@typeCode)='COMP'">(Entry_Medische_gegevens): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
