<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Name: voedsel intolerantie
Description: Template voor de weergave van voedsel intolerantie - Voeding
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000">
   <title>voedsel intolerantie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]
Item: (voedsel_intolerantie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]"
         id="tmp-r-5e9526e3-3252-4c7c-a637-88439800c517">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']/@nullFlavor)">(voedsel_intolerantie): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111'])&lt;=1">(voedsel_intolerantie): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']
Item: (voedsel_intolerantie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']"
         id="tmp-r-2343d347-2039-4b53-a2e3-9dd3bd56465e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(voedsel_intolerantie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(voedsel_intolerantie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="@negationInd">(voedsel_intolerantie): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(voedsel_intolerantie): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(hl7:value)=0">(voedsel_intolerantie): Als er géén sprake van voedsel intolerantie is (@negationId='true') dan moet er geen 'value' (soort voedsel intolerantie) aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']/@nullFlavor)">(voedsel_intolerantie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111'])&lt;=1">(voedsel_intolerantie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="count(hl7:code[(@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(voedsel_intolerantie): element hl7:code[(@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="count(hl7:code[(@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(voedsel_intolerantie): element hl7:code[(@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(voedsel_intolerantie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']
Item: (voedsel_intolerantie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.111']"
         id="tmp-r-f18b8cd8-ee66-43bd-b39a-372bbeb6cfbd">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(voedsel_intolerantie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.111'">(voedsel_intolerantie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.111' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']/hl7:code[(@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (voedsel_intolerantie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']/hl7:code[(@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-11ea0963-650f-4c31-8ecd-7689af7838c0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(voedsel_intolerantie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="@nullFlavor or (@code='235719002' and @codeSystem='2.16.840.1.113883.6.96')">(voedsel_intolerantie): de elementwaarde MOET een zijn van 'code '235719002' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.111
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']/hl7:value
Item: (voedsel_intolerantie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.111']/hl7:value"
         id="tmp-r-e03de653-4e42-4c9e-a565-9a97be0d6137">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.111-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(voedsel_intolerantie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
