<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Name: vloeistof toe te dienen via infuus
Description: Template voor de weergave van vloeistof toe te dienen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000">
   <title>vloeistof toe te dienen via infuus</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]"
         id="tmp-r-2be5ad2e-305d-4051-bd5d-d265eb121a1f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122'])&gt;=1 and not(hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122'])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']"
         id="tmp-r-954935c2-2036-4b21-99f6-f3a91380242c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(vloeistof_toe_te_dienen_via_infuus): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="string(@classCode)='SBADM'">(vloeistof_toe_te_dienen_via_infuus): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:doseQuantity)&gt;=1 and not(hl7:doseQuantity/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:doseQuantity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:doseQuantity)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:doseQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:rateQuantity)&gt;=1 and not(hl7:rateQuantity/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:rateQuantity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:rateQuantity)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:rateQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:consumable)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.122']"
         id="tmp-r-599cf660-e15a-45a0-8056-9a8f433e3f06">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_infuus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.122'">(vloeistof_toe_te_dienen_via_infuus): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.122' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:effectiveTime
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:effectiveTime"
         id="tmp-r-97743d92-ec70-4fd8-acd7-c2dd897dd60f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PIVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_infuus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PIVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PIVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:period)&gt;=1 and not(hl7:period/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:period is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:period)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:period komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:effectiveTime/hl7:period
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:doseQuantity
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:rateQuantity
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:consumable
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:consumable"
         id="tmp-r-846a83d6-dbc7-4103-ab7d-3cf749ea3ca7">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]])&gt;=1 and not(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-r-f210c28a-1a92-4ce5-aca8-eee2d9f066bd">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]])&gt;=1 and not(hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]"
         id="tmp-r-01065e18-11e4-4380-86c7-6204d2f9fb94">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(vloeistof_toe_te_dienen_via_infuus): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="count(hl7:name)&lt;=1">(vloeistof_toe_te_dienen_via_infuus): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (vloeistof_toe_te_dienen_via_infuus)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-1cf911b8-2266-4705-a15d-ef18b602350b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(vloeistof_toe_te_dienen_via_infuus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.122-2012-05-03T000000.html"
              test="@nullFlavor or (@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')">(vloeistof_toe_te_dienen_via_infuus): de elementwaarde MOET een zijn van 'code '440132002' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.122
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']]/hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.122']/hl7:consumable/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:manufacturedMaterial[hl7:code[(@code='440132002' and @codeSystem='2.16.840.1.113883.6.96')]]/hl7:name
Item: (vloeistof_toe_te_dienen_via_infuus)
-->
</pattern>
