<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.13
Name: duur ziekte/behandeling
Description: Template voor de weergave van entryRelationship duur ziekte/behandeling
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000">
   <title>duur ziekte/behandeling</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.13
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]
Item: (entryRelationship_duur_ziektebehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]"
         id="tmp-r-a53b43f1-09cb-4696-aff9-2a2bad0bbef3">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']/@nullFlavor)">(entryRelationship_duur_ziektebehandeling): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13'])&lt;=1">(entryRelationship_duur_ziektebehandeling): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.13
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']
Item: (entryRelationship_duur_ziektebehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']"
         id="tmp-r-31df8f8a-b833-43e0-a2d9-85dad27f664c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_duur_ziektebehandeling): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_duur_ziektebehandeling): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.13'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.13']/@nullFlavor)">(entryRelationship_duur_ziektebehandeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.13'])&lt;=1">(entryRelationship_duur_ziektebehandeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.13'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="count(hl7:code[(@code='10154-3' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='10154-3' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(entryRelationship_duur_ziektebehandeling): element hl7:code[(@code='10154-3' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="count(hl7:code[(@code='10154-3' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(entryRelationship_duur_ziektebehandeling): element hl7:code[(@code='10154-3' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(entryRelationship_duur_ziektebehandeling): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']])&lt;=1">(entryRelationship_duur_ziektebehandeling): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.15']])&lt;=1">(entryRelationship_duur_ziektebehandeling): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.15']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.13
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.13']
Item: (entryRelationship_duur_ziektebehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.13']"
         id="tmp-r-df3a1dec-e778-4eaa-b85c-7deb09ad219f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_duur_ziektebehandeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.13'">(entryRelationship_duur_ziektebehandeling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.13' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.13
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']/hl7:code[(@code='10154-3' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (entryRelationship_duur_ziektebehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']/hl7:code[(@code='10154-3' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-77e70415-0803-43a7-b74c-4c13810d1008">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_duur_ziektebehandeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="@nullFlavor or (@code='10154-3' and @codeSystem='2.16.840.1.113883.6.1')">(entryRelationship_duur_ziektebehandeling): de elementwaarde MOET een zijn van 'code '10154-3' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.13
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']/hl7:effectiveTime
Item: (entryRelationship_duur_ziektebehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']/hl7:effectiveTime"
         id="tmp-r-cbcd9631-8fb1-4069-b367-c109d7dabd47">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_duur_ziektebehandeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.13
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]
Item: (entryRelationship_duur_ziektebehandeling)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="string(@typeCode)='SUBJ'">(entryRelationship_duur_ziektebehandeling): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.13
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.15']]
Item: (entryRelationship_duur_ziektebehandeling)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.13']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.15']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.13-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entryRelationship_duur_ziektebehandeling): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
