<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Name: urine katheter
Description: Template voor de weergave van urine katheter
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000">
   <title>urine katheter</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]
Item: (urine_katheter)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]"
         id="tmp-r-6dfcd396-c97b-4291-b02b-9e0252bae602">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130'])&gt;=1 and not(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']/@nullFlavor)">(urine_katheter): element hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130'])&lt;=1">(urine_katheter): element hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']
Item: (urine_katheter)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']"
         id="tmp-r-64980e04-1c02-40a9-9da1-d1b898b7b185">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="string(@classCode)='SPLY'">(urine_katheter): de waarde van @classCode MOET 'SPLY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(urine_katheter): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.130'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.130']/@nullFlavor)">(urine_katheter): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.130'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.130'])&lt;=1">(urine_katheter): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.130'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:code[(@code='20568009' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='20568009' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(urine_katheter): element hl7:code[(@code='20568009' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:code[(@code='20568009' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(urine_katheter): element hl7:code[(@code='20568009' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']])&gt;=1 and not(hl7:product[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']]/@nullFlavor)">(urine_katheter): element hl7:product[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']])&lt;=1">(urine_katheter): element hl7:product[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']])&lt;=1">(urine_katheter): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.130']
Item: (urine_katheter)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.130']"
         id="tmp-r-0858e72c-7a4d-4518-85b8-9be7111c46d0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(urine_katheter): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.130'">(urine_katheter): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.130' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']/hl7:code[(@code='20568009' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (urine_katheter)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']/hl7:code[(@code='20568009' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-50e54a49-9a97-49d7-b9d3-2fa44eae5dd9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(urine_katheter): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="@nullFlavor or (@code='20568009' and @codeSystem='2.16.840.1.113883.6.96')">(urine_katheter): de elementwaarde MOET een zijn van 'code '20568009' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']/hl7:product[hl7:manufacturedProduct[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.131']]
Item: (urine_katheter)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.130
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']]
Item: (urine_katheter)
-->
<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.130']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.130-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(urine_katheter): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
