<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.14
Name: begin in zorg/behandeling
Description: Template voor de weergave van entryRelationship Begin in zorg/behandeling
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.14-2012-05-03T000000">
   <title>begin in zorg/behandeling</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.14
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]
Item: (entryRelationship_begin_in_zorgbehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]"
         id="tmp-r-c4d59512-8756-4c91-b924-e0d5b33f3301">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.14-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']/@nullFlavor)">(entryRelationship_begin_in_zorgbehandeling): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.14-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14'])&lt;=1">(entryRelationship_begin_in_zorgbehandeling): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.14
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']
Item: (entryRelationship_begin_in_zorgbehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']"
         id="tmp-r-684b0610-cf5a-4711-b60e-84793fc22caf">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.14-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_begin_in_zorgbehandeling): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.14-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_begin_in_zorgbehandeling): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.14-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.14'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.14']/@nullFlavor)">(entryRelationship_begin_in_zorgbehandeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.14'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.14-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.14'])&lt;=1">(entryRelationship_begin_in_zorgbehandeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.14'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.14-2012-05-03T000000.html"
              test="count(hl7:code[(@code='413946009' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='413946009' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_begin_in_zorgbehandeling): element hl7:code[(@code='413946009' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.14-2012-05-03T000000.html"
              test="count(hl7:code[(@code='413946009' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_begin_in_zorgbehandeling): element hl7:code[(@code='413946009' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.14-2012-05-03T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(entryRelationship_begin_in_zorgbehandeling): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.14
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.14']
Item: (entryRelationship_begin_in_zorgbehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.14']"
         id="tmp-r-fd94372e-b016-45d8-a4fe-c8b40d9b803d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.14-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_begin_in_zorgbehandeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.14-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.14'">(entryRelationship_begin_in_zorgbehandeling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.14' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.14
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']/hl7:code[(@code='413946009' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_begin_in_zorgbehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']/hl7:code[(@code='413946009' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-ce273a0c-41ce-4a74-b35c-617a8a1a907c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.14-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_begin_in_zorgbehandeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.14-2012-05-03T000000.html"
              test="@nullFlavor or (@code='413946009' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_begin_in_zorgbehandeling): de elementwaarde MOET een zijn van 'code '413946009' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.14
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']/hl7:effectiveTime
Item: (entryRelationship_begin_in_zorgbehandeling)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.14']/hl7:effectiveTime"
         id="tmp-r-014da717-d388-4aba-aef8-6f568d944874">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.14-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_begin_in_zorgbehandeling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
