<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.155
Name: decubitus - behandelplan
Description: Template voor de weergave van decubitus - behandelplan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.155-2012-05-03T000000">
   <title>decubitus - behandelplan</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.155
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]
Item: (decubitus_behandelplan)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]"
         id="tmp-r-a0e3a6a3-5bde-48e8-91f6-4ac39b1a6de0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.155-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155'])&gt;=1 and not(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']/@nullFlavor)">(decubitus_behandelplan): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.155-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155'])&lt;=1">(decubitus_behandelplan): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.155
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']
Item: (decubitus_behandelplan)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']"
         id="tmp-r-382942b3-ee9d-41f8-a8b8-e3ca6eb1cd03">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.155-2012-05-03T000000.html"
              test="string(@classCode)='PROC'">(decubitus_behandelplan): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.155-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(decubitus_behandelplan): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.155-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155']/@nullFlavor)">(decubitus_behandelplan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.155-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155'])&lt;=1">(decubitus_behandelplan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.155-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225357008' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='225357008' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(decubitus_behandelplan): element hl7:code[(@code='225357008' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.155-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225357008' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(decubitus_behandelplan): element hl7:code[(@code='225357008' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.155
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155']
Item: (decubitus_behandelplan)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.155']"
         id="tmp-r-6fb54190-a061-4a3c-96d8-a04ef8d95806">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.155-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(decubitus_behandelplan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.155-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.155'">(decubitus_behandelplan): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.155' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.155
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']/hl7:code[(@code='225357008' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (decubitus_behandelplan)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.155']/hl7:code[(@code='225357008' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-419830ae-0873-456b-86f0-9c195a3ce9aa">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.155-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(decubitus_behandelplan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.155-2012-05-03T000000.html"
              test="@nullFlavor or (@code='225357008' and @codeSystem='2.16.840.1.113883.6.96')">(decubitus_behandelplan): de elementwaarde MOET een zijn van 'code '225357008' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
</pattern>
