<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Name: behandelplan - huidletsel
Description: Template voor de weergave van behandelplan - huidletsel
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000">
   <title>behandelplan - huidletsel</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]
Item: (behandelplan_huidletsel)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]"
         id="tmp-r-be0e6291-6edb-4a86-bac5-2a52294fe40e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160'])&gt;=1 and not(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']/@nullFlavor)">(behandelplan_huidletsel): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160'])&lt;=1">(behandelplan_huidletsel): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']
Item: (behandelplan_huidletsel)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']"
         id="tmp-r-91e7eb80-1666-4d7c-a150-96196ca8d329">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="string(@classCode)='PROC'">(behandelplan_huidletsel): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(behandelplan_huidletsel): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']/@nullFlavor)">(behandelplan_huidletsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160'])&lt;=1">(behandelplan_huidletsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:code[(@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(behandelplan_huidletsel): element hl7:code[(@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="count(hl7:code[(@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(behandelplan_huidletsel): element hl7:code[(@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']
Item: (behandelplan_huidletsel)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.160']"
         id="tmp-r-d58d9c3d-d57c-4c56-90fd-cd23bd60b9a9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(behandelplan_huidletsel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.160'">(behandelplan_huidletsel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.160' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.160
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']/hl7:code[(@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (behandelplan_huidletsel)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.160']/hl7:code[(@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-72bedc2f-7100-4f41-a9ce-7abd87b4437a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(behandelplan_huidletsel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.160-2012-05-03T000000.html"
              test="@nullFlavor or (@code='183001000' and @codeSystem='2.16.840.1.113883.6.96')">(behandelplan_huidletsel): de elementwaarde MOET een zijn van 'code '183001000' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
</pattern>
