<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.18
Name: andere relevante medische aandoening
Description: Template voor de weergave van Andere relevante medische aandoening
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000">
   <title>andere relevante medische aandoening</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]
Item: (Andere_relevante_medische_aandoening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]"
         id="tmp-r-f5078811-a138-43b9-b6ba-03028b639dcb">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']/@nullFlavor)">(Andere_relevante_medische_aandoening): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18'])&lt;=1">(Andere_relevante_medische_aandoening): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']
Item: (Andere_relevante_medische_aandoening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']"
         id="tmp-r-531340f4-c7a5-4200-b023-781d316b1605">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(Andere_relevante_medische_aandoening): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(Andere_relevante_medische_aandoening): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18']/@nullFlavor)">(Andere_relevante_medische_aandoening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18'])&lt;=1">(Andere_relevante_medische_aandoening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000.html"
              test="count(hl7:code[(@code='52465-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='52465-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Andere_relevante_medische_aandoening): element hl7:code[(@code='52465-2' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000.html"
              test="count(hl7:code[(@code='52465-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Andere_relevante_medische_aandoening): element hl7:code[(@code='52465-2' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Andere_relevante_medische_aandoening): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(Andere_relevante_medische_aandoening): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18']
Item: (Andere_relevante_medische_aandoening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.18']"
         id="tmp-r-9b7086b1-9a06-4f03-b7db-a1cfbfaab84a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Andere_relevante_medische_aandoening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.18'">(Andere_relevante_medische_aandoening): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.18' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']/hl7:code[(@code='52465-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Andere_relevante_medische_aandoening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']/hl7:code[(@code='52465-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-f5627ce1-116c-401a-9e0a-d3cad062d95d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Andere_relevante_medische_aandoening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000.html"
              test="@nullFlavor or (@code='52465-2' and @codeSystem='2.16.840.1.113883.6.1')">(Andere_relevante_medische_aandoening): de elementwaarde MOET een zijn van 'code '52465-2' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.18
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']/hl7:value
Item: (Andere_relevante_medische_aandoening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.18']/hl7:value"
         id="tmp-r-d978c0fc-1d2a-4e9b-897b-3c3493708e46">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.18-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Andere_relevante_medische_aandoening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
