<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.181
Name: overig tast reuk smaak
Description: overig tast reuk smaak
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000">
   <title>overig tast reuk smaak</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.181
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]
Item: (overig_tast_reuk_smaak)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]"
         id="tmp-r-0e6d9dd9-1893-40bd-9d9f-6a51edeec098">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']/@nullFlavor)">(overig_tast_reuk_smaak): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181'])&lt;=1">(overig_tast_reuk_smaak): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.181
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']
Item: (overig_tast_reuk_smaak)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']"
         id="tmp-r-814238c7-7f5a-485f-8785-804f87fd66f4">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(overig_tast_reuk_smaak): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(overig_tast_reuk_smaak): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181']/@nullFlavor)">(overig_tast_reuk_smaak): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181'])&lt;=1">(overig_tast_reuk_smaak): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000.html"
              test="count(hl7:code[(@code='271712005' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='271712005' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(overig_tast_reuk_smaak): element hl7:code[(@code='271712005' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000.html"
              test="count(hl7:code[(@code='271712005' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(overig_tast_reuk_smaak): element hl7:code[(@code='271712005' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(overig_tast_reuk_smaak): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(overig_tast_reuk_smaak): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.181
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181']
Item: (overig_tast_reuk_smaak)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181']"
         id="tmp-r-87229671-6892-4f02-b913-a02a314bf399">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(overig_tast_reuk_smaak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.181'">(overig_tast_reuk_smaak): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.181' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.181
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']/hl7:code[(@code='271712005' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (overig_tast_reuk_smaak)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']/hl7:code[(@code='271712005' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-9dd5a919-fe54-423a-8612-c2184f5789d8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(overig_tast_reuk_smaak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000.html"
              test="@nullFlavor or (@code='271712005' and @codeSystem='2.16.840.1.113883.6.96')">(overig_tast_reuk_smaak): de elementwaarde MOET een zijn van 'code '271712005' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.181
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']/hl7:value
Item: (overig_tast_reuk_smaak)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']/hl7:value"
         id="tmp-r-5f22d565-84f7-4aa2-a47d-a3471823180f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.181-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(overig_tast_reuk_smaak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
