<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Name: entry Sectie Pijn
Description: Template voor de weergave van entry Sectie Pijn
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000">
   <title>entry Sectie Pijn</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]
Item: (entry_Sectie_Pijn)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]"
         id="tmp-r-d6e62354-50a5-44b3-8aab-7589e7ca51b6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']/@nullFlavor)">(entry_Sectie_Pijn): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183'])&lt;=1">(entry_Sectie_Pijn): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']
Item: (entry_Sectie_Pijn)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']"
         id="tmp-r-d252af6a-0c77-46aa-8765-8dc18cc7a9dd">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entry_Sectie_Pijn): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entry_Sectie_Pijn): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="@negationInd">(entry_Sectie_Pijn): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entry_Sectie_Pijn): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(hl7:entryRelationship)=0">(entry_Sectie_Pijn): Als er géén pijn aanwezig is (@negationId='true') dan kunnen er geen entryRelationship elementen zijn binnen het huidige element</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value">(entry_Sectie_Pijn): Als er niet bekend is of er pijn aanwezig is (@negationId='true') dan moet er het volgende element 'value xsi:type="CD" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']/@nullFlavor)">(entry_Sectie_Pijn): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183'])&lt;=1">(entry_Sectie_Pijn): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:code[(@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entry_Sectie_Pijn): element hl7:code[(@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:code[(@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entry_Sectie_Pijn): element hl7:code[(@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1831']])&lt;=1">(entry_Sectie_Pijn): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1831']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']
Item: (entry_Sectie_Pijn)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.183']"
         id="tmp-r-b73fadea-0041-465f-b2a6-82113e390e2b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Sectie_Pijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.183'">(entry_Sectie_Pijn): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.183' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']/hl7:code[(@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entry_Sectie_Pijn)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']/hl7:code[(@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-200c05c3-7cc8-4b45-8987-ec2a0156131b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Sectie_Pijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="@nullFlavor or (@code='22253000' and @codeSystem='2.16.840.1.113883.6.96')">(entry_Sectie_Pijn): de elementwaarde MOET een zijn van 'code '22253000' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.183
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1831']]
Item: (entry_Sectie_Pijn)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.183']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1831']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.183-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entry_Sectie_Pijn): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
