<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.2
Name: informatie over kinderen
Description: Template: Informatie over kinderen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000">
   <title>informatie over kinderen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]
Item: (Details_of_own_children)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]"
         id="tmp-r-0ec9b207-0941-4cc7-88ec-3fc1380f4313">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']/@nullFlavor)">(Details_of_own_children): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2'])&lt;=1">(Details_of_own_children): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']
Item: (Details_of_own_children)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']"
         id="tmp-r-f945e3d6-e0f2-476e-bb5c-58b101a647e0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="string(@classCode)='OBS'">(Details_of_own_children): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="string(@moodCode)='EVN'">(Details_of_own_children): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.2'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.2']/@nullFlavor)">(Details_of_own_children): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.2'])&lt;=1">(Details_of_own_children): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="count(hl7:code[(@code='224117009' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='224117009' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Details_of_own_children): element hl7:code[(@code='224117009' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="count(hl7:code[(@code='224117009' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Details_of_own_children): element hl7:code[(@code='224117009' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']]/@nullFlavor)">(Details_of_own_children): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']])&lt;=1">(Details_of_own_children): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.4']])&lt;=1">(Details_of_own_children): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.4']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']])&lt;=1">(Details_of_own_children): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.2']
Item: (Details_of_own_children)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.2']"
         id="tmp-r-989f8057-5456-4a41-bd62-d140515d1854">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Details_of_own_children): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.2'">(Details_of_own_children): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.2' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']/hl7:code[(@code='224117009' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Details_of_own_children)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']/hl7:code[(@code='224117009' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-daaa82ee-b4d1-4462-a150-a4c0e62a96bf">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Details_of_own_children): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="@nullFlavor or (@code='224117009' and @codeSystem='2.16.840.1.113883.6.96')">(Details_of_own_children): de elementwaarde MOET een zijn van 'code '224117009' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']]
Item: (Details_of_own_children)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="string(@typeCode)='REFR'">(Details_of_own_children): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.4']]
Item: (Details_of_own_children)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.4']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="string(@typeCode)='REFR'">(Details_of_own_children): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.5']]
Item: (Details_of_own_children)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.5']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="string(@typeCode)='REFR'">(Details_of_own_children): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]
Item: (Details_of_own_children)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.2']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.2-2014-08-20T000000.html"
              test="string(@typeCode)='REFR'">(Details_of_own_children): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
