<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Name: entryRelationship allergie
Description: Template voor de weergave van entryRelationship allergie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000">
   <title>entryRelationship allergie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]
Item: (entryRelationship_allergie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]"
         id="tmp-r-72f48eca-b910-4f63-8af1-ec7c94bebe34">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20'])&gt;=1 and not(hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']/@nullFlavor)">(entryRelationship_allergie): element hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20'])&lt;=1">(entryRelationship_allergie): element hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']
Item: (entryRelationship_allergie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']"
         id="tmp-r-c7b0cc95-8d68-48df-9d71-63a0f6abc614">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="string(@classCode)='ACT'">(entryRelationship_allergie): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_allergie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']/@nullFlavor)">(entryRelationship_allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20'])&lt;=1">(entryRelationship_allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:code)&gt;=1 ">(entryRelationship_allergie): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_allergie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.21']])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.21']]/@nullFlavor)">(entryRelationship_allergie): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.21']] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']
Item: (entryRelationship_allergie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.20']"
         id="tmp-r-dfa275c4-da84-4d66-940b-c0f2c6411b5d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.20'">(entryRelationship_allergie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.20' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']/hl7:code
Item: (entryRelationship_allergie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']/hl7:code"
         id="tmp-r-113bd89d-a46d-4478-ba4c-f52a24f80772">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="string(@nullFlavor)='NA'">(entryRelationship_allergie): de waarde van @nullFlavor MOET 'NA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.20
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.21']]
Item: (entryRelationship_allergie)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.20']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.21']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.20-2012-05-03T000000.html"
              test="string(@typeCode)='SUBJ'">(entryRelationship_allergie): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>
</pattern>
