<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.220
Name: entry Communicatie
Description: Template voor de weergave van entry Communicatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000">
   <title>entry Communicatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.220
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]
Item: (entry_Communicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]"
         id="tmp-r-8ce74201-434c-46dc-87c6-d20747a4729b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']/@nullFlavor)">(entry_Communicatie): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220'])&lt;=1">(entry_Communicatie): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.220
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']
Item: (entry_Communicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']"
         id="tmp-r-26a1ecff-9b7a-4367-9667-425a5cf52662">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entry_Communicatie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entry_Communicatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="@negationInd">(entry_Communicatie): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entry_Communicatie): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(hl7:entryRelationship)=0">(entry_Communicatie): Als er géén bijzonderheden zijn (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value">(entry_Communicatie): Als er géén bijzonderheden zijn (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']/@nullFlavor)">(entry_Communicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220'])&lt;=1">(entry_Communicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="count(hl7:code[(@code='284530008' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='284530008' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entry_Communicatie): element hl7:code[(@code='284530008' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="count(hl7:code[(@code='284530008' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entry_Communicatie): element hl7:code[(@code='284530008' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']])&lt;=1">(entry_Communicatie): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']])&lt;=1">(entry_Communicatie): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.225']])&lt;=1">(entry_Communicatie): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.225']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']])&lt;=1">(entry_Communicatie): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']])&lt;=1">(entry_Communicatie): element hl7:entryRelationship[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.220
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']
Item: (entry_Communicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.220']"
         id="tmp-r-1c438fd8-e0ff-44d4-adb6-59838163c20c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Communicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.220'">(entry_Communicatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.220' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.220
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']/hl7:code[(@code='284530008' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entry_Communicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']/hl7:code[(@code='284530008' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-0f743c4c-0d6c-4dc2-a684-f4a45f112f3b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Communicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="@nullFlavor or (@code='284530008' and @codeSystem='2.16.840.1.113883.6.96')">(entry_Communicatie): de elementwaarde MOET een zijn van 'code '284530008' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.220
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]
Item: (entry_Communicatie)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.221']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Communicatie): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.220
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']]
Item: (entry_Communicatie)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Communicatie): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.220
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.225']]
Item: (entry_Communicatie)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.225']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Communicatie): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.220
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']]
Item: (entry_Communicatie)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.142']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entry_Communicatie): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.220
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']/hl7:entryRelationship[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]
Item: (entry_Communicatie)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.220']/hl7:entryRelationship[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.220-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entry_Communicatie): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
