<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.222
Name: begrijpen
Description: Template voor de weergave van begrijpen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000">
   <title>begrijpen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.222
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']]
Item: (begrijpen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']]"
         id="tmp-r-ba96deab-92a1-47aa-a42a-20d6982deba8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']/@nullFlavor)">(begrijpen): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222'])&lt;=1">(begrijpen): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.222
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']
Item: (begrijpen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']"
         id="tmp-r-256ff070-44c9-4b60-9be5-2d2219d36534">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(begrijpen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(begrijpen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.222'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.222']/@nullFlavor)">(begrijpen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.222'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.222'])&lt;=1">(begrijpen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.222'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:code[(@code='395659009' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='395659009' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(begrijpen): element hl7:code[(@code='395659009' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:code[(@code='395659009' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(begrijpen): element hl7:code[(@code='395659009' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.223']])&lt;=1">(begrijpen): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.223']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.224']])&lt;=1">(begrijpen): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.224']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.222
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.222']
Item: (begrijpen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.222']"
         id="tmp-r-1b6de342-038d-49bf-b3a7-cc50798f243e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(begrijpen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.222'">(begrijpen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.222' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.222
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']/hl7:code[(@code='395659009' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (begrijpen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']/hl7:code[(@code='395659009' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-1b8dbe8a-4bac-4771-aaf8-8b3d9b282417">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(begrijpen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="@nullFlavor or (@code='395659009' and @codeSystem='2.16.840.1.113883.6.96')">(begrijpen): de elementwaarde MOET een zijn van 'code '395659009' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.222
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.223']]
Item: (begrijpen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.223']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(begrijpen): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.222
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.224']]
Item: (begrijpen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.222']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.224']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.222-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(begrijpen): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
