<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Name: infectierisico
Description: Template voor de weergave van entryRelationship infectierisico
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000">
   <title>infectierisico</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]
Item: (entryRelationship_infectierisico)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]"
         id="tmp-r-9391e71c-2cb4-4588-ab16-8413d9bb69e8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']/@nullFlavor)">(entryRelationship_infectierisico): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23'])&lt;=1">(entryRelationship_infectierisico): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']
Item: (entryRelationship_infectierisico)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']"
         id="tmp-r-61ff0e3f-954c-4e45-b629-2f0e22eaf4e9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_infectierisico): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_infectierisico): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="@negationInd">(entryRelationship_infectierisico): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entryRelationship_infectierisico): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(hl7:entryRelationship)=0">(entryRelationship_infectierisico): Als er géén infectierisico is (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']/@nullFlavor)">(entryRelationship_infectierisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23'])&lt;=1">(entryRelationship_infectierisico): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="count(hl7:code[(@code='78648007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='78648007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_infectierisico): element hl7:code[(@code='78648007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="count(hl7:code[(@code='78648007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_infectierisico): element hl7:code[(@code='78648007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.24']])&lt;=1">(entryRelationship_infectierisico): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.24']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']
Item: (entryRelationship_infectierisico)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.23']"
         id="tmp-r-27d67070-f19b-441b-a88c-bfa2c5db827a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_infectierisico): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.23'">(entryRelationship_infectierisico): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.23' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']/hl7:code[(@code='78648007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_infectierisico)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']/hl7:code[(@code='78648007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-9f4d64a7-a343-414a-b910-281146920d76">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_infectierisico): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="@nullFlavor or (@code='78648007' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_infectierisico): de elementwaarde MOET een zijn van 'code '78648007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.23
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.24']]
Item: (entryRelationship_infectierisico)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.23']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.24']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.23-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entryRelationship_infectierisico): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
