<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.231
Name: omgaan met ziekteproces
Description: omgaan met ziekteproces
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000">
   <title>omgaan met ziekteproces</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.231
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]
Item: (omgaan_met_ziekteproces)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]"
         id="tmp-r-0dfa7ef8-6cee-4999-a11d-86c68ec8cf5e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']/@nullFlavor)">(omgaan_met_ziekteproces): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231'])&lt;=1">(omgaan_met_ziekteproces): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.231
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']
Item: (omgaan_met_ziekteproces)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']"
         id="tmp-r-84899e13-65b5-40f5-beec-1b4f50497c1c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(omgaan_met_ziekteproces): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(omgaan_met_ziekteproces): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.231'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.231']/@nullFlavor)">(omgaan_met_ziekteproces): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.231'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.231'])&lt;=1">(omgaan_met_ziekteproces): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.231'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000.html"
              test="count(hl7:code[(@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(omgaan_met_ziekteproces): element hl7:code[(@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000.html"
              test="count(hl7:code[(@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(omgaan_met_ziekteproces): element hl7:code[(@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(omgaan_met_ziekteproces): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(omgaan_met_ziekteproces): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.231
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.231']
Item: (omgaan_met_ziekteproces)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.231']"
         id="tmp-r-fbfb7a4b-376c-44a3-b1ba-c69e9e36ff1b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(omgaan_met_ziekteproces): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.231'">(omgaan_met_ziekteproces): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.231' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.231
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']/hl7:code[(@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (omgaan_met_ziekteproces)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']/hl7:code[(@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-44b755f8-ad4d-45bb-a4a8-05c1a171eac8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(omgaan_met_ziekteproces): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000.html"
              test="@nullFlavor or (@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')">(omgaan_met_ziekteproces): de elementwaarde MOET een zijn van 'code '363910003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.231
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']/hl7:value
Item: (omgaan_met_ziekteproces)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.231']/hl7:value"
         id="tmp-r-77e4933e-aafe-4779-be03-97c9e4ba11fd">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.231-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(omgaan_met_ziekteproces): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
