<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Name: sociaal netwerk
Description: Template voor de weergave van sociaal netwerk
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000">
   <title>sociaal netwerk</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]
Item: (sociaal_netwerk)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]"
         id="tmp-r-59f35d02-5039-44a6-8bf0-ea86ebccc1f8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']/@nullFlavor)">(sociaal_netwerk): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246'])&lt;=1">(sociaal_netwerk): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']
Item: (sociaal_netwerk)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']"
         id="tmp-r-719b38ae-3122-41d9-8690-a7d2e03266ea">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(sociaal_netwerk): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(sociaal_netwerk): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']/@nullFlavor)">(sociaal_netwerk): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246'])&lt;=1">(sociaal_netwerk): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:code[(@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(sociaal_netwerk): element hl7:code[(@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:code[(@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(sociaal_netwerk): element hl7:code[(@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(sociaal_netwerk): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(sociaal_netwerk): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']
Item: (sociaal_netwerk)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.246']"
         id="tmp-r-27922e27-1648-40b9-ac15-849044e0fc27">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(sociaal_netwerk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.246'">(sociaal_netwerk): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.246' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']/hl7:code[(@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (sociaal_netwerk)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']/hl7:code[(@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-3a143873-5bc0-4d60-bf5a-59e7db1883af">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(sociaal_netwerk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="@nullFlavor or (@code='108329005' and @codeSystem='2.16.840.1.113883.6.96')">(sociaal_netwerk): de elementwaarde MOET een zijn van 'code '108329005' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.246
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']/hl7:value
Item: (sociaal_netwerk)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.246']/hl7:value"
         id="tmp-r-afd7655a-9283-49da-b4ba-c3e2f69d98f9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.246-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(sociaal_netwerk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
