<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Name: frequentie professionele hulp
Description: Template voor de weergave van frequentie professionele hulp
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000">
   <title>frequentie professionele hulp</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]
Item: (frequentie_professionele_hulp)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]"
         id="tmp-r-0cd16e89-bad2-44c8-8fe4-a90780cc702b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']/@nullFlavor)">(frequentie_professionele_hulp): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254'])&lt;=1">(frequentie_professionele_hulp): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']
Item: (frequentie_professionele_hulp)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']"
         id="tmp-r-08c2e742-7e08-4d48-90ad-0f1476dfb1a7">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(frequentie_professionele_hulp): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(frequentie_professionele_hulp): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']/@nullFlavor)">(frequentie_professionele_hulp): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254'])&lt;=1">(frequentie_professionele_hulp): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(frequentie_professionele_hulp): element hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(frequentie_professionele_hulp): element hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(frequentie_professionele_hulp): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(frequentie_professionele_hulp): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']
Item: (frequentie_professionele_hulp)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.254']"
         id="tmp-r-9130ecec-a546-4a7a-8f17-30614b4bb137">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(frequentie_professionele_hulp): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.254'">(frequentie_professionele_hulp): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.254' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']/hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (frequentie_professionele_hulp)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']/hl7:code[(@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-77303d03-e7df-4619-b25f-08ef3ac60ffb">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(frequentie_professionele_hulp): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="@nullFlavor or (@code='260866001' and @codeSystem='2.16.840.1.113883.6.96')">(frequentie_professionele_hulp): de elementwaarde MOET een zijn van 'code '260866001' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.254
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']/hl7:value
Item: (frequentie_professionele_hulp)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.254']/hl7:value"
         id="tmp-r-c0a50d4d-2c05-4d30-9dd4-a0a011487252">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.254-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(frequentie_professionele_hulp): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
