<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.26
Name: hulp bij toediening
Description: Template voor de weergave van Hulp bij toediening
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000">
   <title>hulp bij toediening</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.26
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]
Item: (Hulp_bij_toediening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]"
         id="tmp-r-9aa58ca5-d97e-4c11-8eb3-659a1a4dc332">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']/@nullFlavor)">(Hulp_bij_toediening): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26'])&lt;=1">(Hulp_bij_toediening): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.26
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']
Item: (Hulp_bij_toediening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']"
         id="tmp-r-6af8fc5c-a2a1-42c6-ad63-aafb090d0872">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(Hulp_bij_toediening): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(Hulp_bij_toediening): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.26'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.26']/@nullFlavor)">(Hulp_bij_toediening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.26'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.26'])&lt;=1">(Hulp_bij_toediening): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.26'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000.html"
              test="count(hl7:code[(@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Hulp_bij_toediening): element hl7:code[(@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000.html"
              test="count(hl7:code[(@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Hulp_bij_toediening): element hl7:code[(@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Hulp_bij_toediening): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(Hulp_bij_toediening): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.26
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.26']
Item: (Hulp_bij_toediening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.26']"
         id="tmp-r-fd37e829-08e2-41bf-9e35-09d10f6baeaf">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hulp_bij_toediening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.26'">(Hulp_bij_toediening): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.26' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.26
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']/hl7:code[(@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Hulp_bij_toediening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']/hl7:code[(@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-6c736a0a-6ade-497e-8b0c-ea4ef799106e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hulp_bij_toediening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000.html"
              test="@nullFlavor or (@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')">(Hulp_bij_toediening): de elementwaarde MOET een zijn van 'code '426031007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.26
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']/hl7:value
Item: (Hulp_bij_toediening)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.26']/hl7:value"
         id="tmp-r-92c590d8-bf10-4c48-a505-09ee5ed4b398">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.26-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hulp_bij_toediening): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
