<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.260
Name: meegegeven documentatie
Description: Template voor de weergave van meegegeven documentatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000">
   <title>meegegeven documentatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.260
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]
Item: (meegegeven_documentatie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]"
         id="tmp-r-75c887e1-b5dd-4a64-8a87-941264ec7692">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="count(hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260'])&gt;=1 and not(hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']/@nullFlavor)">(meegegeven_documentatie): element hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="count(hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260'])&lt;=1">(meegegeven_documentatie): element hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.260
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']
Item: (meegegeven_documentatie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']"
         id="tmp-r-687e4eff-70be-4f96-9984-04b98b815ee4">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="string(@classCode)='ACT'">(meegegeven_documentatie): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(meegegeven_documentatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260']/@nullFlavor)">(meegegeven_documentatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260'])&lt;=1">(meegegeven_documentatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="count(hl7:code[(@code='103313004' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='103313004' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(meegegeven_documentatie): element hl7:code[(@code='103313004' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="count(hl7:code[(@code='103313004' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(meegegeven_documentatie): element hl7:code[(@code='103313004' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.260
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260']
Item: (meegegeven_documentatie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260']"
         id="tmp-r-905cf1f3-9f51-476c-ad40-2890add2d29a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(meegegeven_documentatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.260'">(meegegeven_documentatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.260' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.260
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']/hl7:code[(@code='103313004' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (meegegeven_documentatie)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.260']/hl7:code[(@code='103313004' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-932cbbd2-d36f-4f59-a25e-11a081c0fa1d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(meegegeven_documentatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.260-2012-05-03T000000.html"
              test="@nullFlavor or (@code='103313004' and @codeSystem='2.16.840.1.113883.6.96')">(meegegeven_documentatie): de elementwaarde MOET een zijn van 'code '103313004' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
</pattern>
