<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Name: aanspreekpersoon voor client
Description: Template: entryRelationship aanspreekpersoon voor client
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000">
   <title>aanspreekpersoon voor client</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]
Item: (entryRelationship_aanspreekpersoon_voor_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]"
         id="tmp-r-9c69d70d-8bde-4715-956b-63a38e55f625">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']/@nullFlavor)">(entryRelationship_aanspreekpersoon_voor_client): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34'])&lt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']
Item: (entryRelationship_aanspreekpersoon_voor_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']"
         id="tmp-r-4f5b9653-905b-4017-a63b-a87747548775">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_aanspreekpersoon_voor_client): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="string(@moodCode)='INT'">(entryRelationship_aanspreekpersoon_voor_client): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']/@nullFlavor)">(entryRelationship_aanspreekpersoon_voor_client): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34'])&lt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:code[(@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_aanspreekpersoon_voor_client): element hl7:code[(@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:code[(@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:code[(@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_aanspreekpersoon_voor_client): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_aanspreekpersoon_voor_client): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']
Item: (entryRelationship_aanspreekpersoon_voor_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']"
         id="tmp-r-838b5342-7d06-4bcb-b3ef-a0475494416b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_aanspreekpersoon_voor_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.34'">(entryRelationship_aanspreekpersoon_voor_client): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.34' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']/hl7:code[(@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_aanspreekpersoon_voor_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']/hl7:code[(@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-870b8a9e-8e05-446c-a04b-1610b7899b7c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_aanspreekpersoon_voor_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="@nullFlavor or (@code='70862002' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_aanspreekpersoon_voor_client): de elementwaarde MOET een zijn van 'code '70862002' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.34
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']/hl7:value
Item: (entryRelationship_aanspreekpersoon_voor_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.34']/hl7:value"
         id="tmp-r-ec4a8ab3-c137-480c-b9d5-63603bedad5b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.34-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_aanspreekpersoon_voor_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
