<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Name: voortbewegen hulpmiddelen
Description: Template voor de weergave van voortbewegen hulpmiddelen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000">
   <title>voortbewegen hulpmiddelen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]"
         id="tmp-r-908671d3-b71c-43ea-a884-3e31af63874d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57'])&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']"
         id="tmp-r-75cd247c-35da-48a3-becd-fe89d3529c4a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="string(@classCode)='SPLY'">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van @classCode MOET 'SPLY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57'])&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:code[(@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:code[(@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:code[(@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:code[(@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:statusCode)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:product is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:product)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:product komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']"
         id="tmp-r-d95ca6fa-d811-427c-acdd-1d4b827c8e30">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_voortbewegen_hulpmiddelen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.57'">(entryRelationship_voortbewegen_hulpmiddelen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.57' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']/hl7:code[(@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']/hl7:code[(@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-f8767ccf-bbe2-49da-8caa-9b8798efb378">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_voortbewegen_hulpmiddelen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="@nullFlavor or (@code='183135000' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_voortbewegen_hulpmiddelen): de elementwaarde MOET een zijn van 'code '183135000' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']/hl7:statusCode
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']/hl7:statusCode"
         id="tmp-r-f45b0b54-68c2-4a9b-bd56-6d1650b9a19e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_voortbewegen_hulpmiddelen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="@nullFlavor or (@code='completed')">(entryRelationship_voortbewegen_hulpmiddelen): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']/hl7:product
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']/hl7:product"
         id="tmp-r-14703960-c6fc-4ede-ac41-0f50362f4aa8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedProduct is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']/hl7:product/hl7:manufacturedProduct
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']/hl7:product/hl7:manufacturedProduct"
         id="tmp-r-ecf7e970-ab12-4c2e-97f4-23a122080497">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="string(@classCode)='MANU'">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van @classCode MOET 'MANU' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedMaterial is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:manufacturedMaterial komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-r-872ceff0-0e69-4398-80e5-c7bd022581f0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="string(@classCode)='MMAT'">(entryRelationship_voortbewegen_hulpmiddelen): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.57-2012-05-03T000000.html"
              test="count(hl7:name)&lt;=1">(entryRelationship_voortbewegen_hulpmiddelen): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.57
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.57']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:name
Item: (entryRelationship_voortbewegen_hulpmiddelen)
-->
</pattern>
