<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.58
Name: transfer
Description: Template voor de weergave van transfer
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000">
   <title>transfer</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.58
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]
Item: (entryRelationship_transfer)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]"
         id="tmp-r-96359782-b1fc-4c54-8a87-e7d826adaa23">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']/@nullFlavor)">(entryRelationship_transfer): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58'])&lt;=1">(entryRelationship_transfer): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.58
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']
Item: (entryRelationship_transfer)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']"
         id="tmp-r-3e31afc7-0dc5-47ba-bd42-df278387fb73">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_transfer): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_transfer): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']/@nullFlavor)">(entryRelationship_transfer): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58'])&lt;=1">(entryRelationship_transfer): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:code[(@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_transfer): element hl7:code[(@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:code[(@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_transfer): element hl7:code[(@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.59']])&lt;=1">(entryRelationship_transfer): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.59']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.60']])&lt;=1">(entryRelationship_transfer): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.60']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.58
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']
Item: (entryRelationship_transfer)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.58']"
         id="tmp-r-01d63474-ec44-4111-b264-ed84ef79860a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_transfer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.58'">(entryRelationship_transfer): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.58' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.58
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']/hl7:code[(@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_transfer)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']/hl7:code[(@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-4a45daea-3f63-471c-8371-748b7a13f38d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_transfer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="@nullFlavor or (@code='364666007' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_transfer): de elementwaarde MOET een zijn van 'code '364666007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.58
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.59']]
Item: (entryRelationship_transfer)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.59']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entryRelationship_transfer): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.58
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.60']]
Item: (entryRelationship_transfer)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.58']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.60']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.58-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(entryRelationship_transfer): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
