<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Name: aantal kinderen inwonend
Description: Template: Aantal kinderen inwonend
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000">
   <title>aantal kinderen inwonend</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]
Item: (aantal_kinderen_inwonend)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]"
         id="tmp-r-59620aff-329b-4cfd-9181-bbcd9e895b58">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']/@nullFlavor)">(aantal_kinderen_inwonend): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6'])&lt;=1">(aantal_kinderen_inwonend): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']
Item: (aantal_kinderen_inwonend)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']"
         id="tmp-r-c7999fbf-988a-4681-a5ad-1bf721e5e540">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(aantal_kinderen_inwonend): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(aantal_kinderen_inwonend): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']/@nullFlavor)">(aantal_kinderen_inwonend): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6'])&lt;=1">(aantal_kinderen_inwonend): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:code[(@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(aantal_kinderen_inwonend): element hl7:code[(@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:code[(@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(aantal_kinderen_inwonend): element hl7:code[(@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(aantal_kinderen_inwonend): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(aantal_kinderen_inwonend): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']
Item: (aantal_kinderen_inwonend)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.6']"
         id="tmp-r-5cc0ab59-4599-4876-b003-c754529a2d15">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(aantal_kinderen_inwonend): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.6'">(aantal_kinderen_inwonend): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.6' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']/hl7:code[(@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (aantal_kinderen_inwonend)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']/hl7:code[(@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-47c87b88-4233-4b80-8816-f6767a43eabc">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(aantal_kinderen_inwonend): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="@nullFlavor or (@code='224525003' and @codeSystem='2.16.840.1.113883.6.96')">(aantal_kinderen_inwonend): de elementwaarde MOET een zijn van 'code '224525003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.6
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']/hl7:value
Item: (aantal_kinderen_inwonend)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.6']/hl7:value"
         id="tmp-r-017d3a83-1e6a-4265-a847-665b4746df54">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(aantal_kinderen_inwonend): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.6-2012-05-03T000000.html"
              test="$digitok or @nullFlavor">(aantal_kinderen_inwonend): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>
