<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.62
Name: component houding veranderen
Description: Template voor de weergave van component houding veranderen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000">
   <title>component houding veranderen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.62
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']]
Item: (component_houding_veranderen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']]"
         id="tmp-r-d09c9722-a13d-445b-8ec3-2daee8d4605e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']/@nullFlavor)">(component_houding_veranderen): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62'])&lt;=1">(component_houding_veranderen): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.62
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']
Item: (component_houding_veranderen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']"
         id="tmp-r-63f3ac06-1a96-476d-a911-8587c3ee79d3">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(component_houding_veranderen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(component_houding_veranderen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.62'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.62']/@nullFlavor)">(component_houding_veranderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.62'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.62'])&lt;=1">(component_houding_veranderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.62'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="count(hl7:code[(@code='282869009' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='282869009' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(component_houding_veranderen): element hl7:code[(@code='282869009' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="count(hl7:code[(@code='282869009' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(component_houding_veranderen): element hl7:code[(@code='282869009' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']])&lt;=1">(component_houding_veranderen): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']])&lt;=1">(component_houding_veranderen): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.65']])&lt;=1">(component_houding_veranderen): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.65']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.62
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.62']
Item: (component_houding_veranderen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.62']"
         id="tmp-r-60ae5bc5-8cb6-4c09-82be-f6eac69fd2fb">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(component_houding_veranderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.62'">(component_houding_veranderen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.62' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.62
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']/hl7:code[(@code='282869009' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (component_houding_veranderen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']/hl7:code[(@code='282869009' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-9fd1494a-ac5b-4d63-847b-28886b167144">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(component_houding_veranderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="@nullFlavor or (@code='282869009' and @codeSystem='2.16.840.1.113883.6.96')">(component_houding_veranderen): de elementwaarde MOET een zijn van 'code '282869009' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.62
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]
Item: (component_houding_veranderen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(component_houding_veranderen): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.62
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]
Item: (component_houding_veranderen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(component_houding_veranderen): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.62
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.65']]
Item: (component_houding_veranderen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.65']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.62-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(component_houding_veranderen): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
