<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.64
Name: houding veranderen van zit
Description: Template voor de weergave van houding veranderen van zit
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000">
   <title>houding veranderen van zit</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.64
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]
Item: (entryRelationship_houding_veranderen_van_zit)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]"
         id="tmp-r-b672af93-a026-4f0c-949c-289410a20cc5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']/@nullFlavor)">(entryRelationship_houding_veranderen_van_zit): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64'])&lt;=1">(entryRelationship_houding_veranderen_van_zit): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.64
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']
Item: (entryRelationship_houding_veranderen_van_zit)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']"
         id="tmp-r-5ec8c570-8eb3-4ca0-b10f-2dea4aab250e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_houding_veranderen_van_zit): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_houding_veranderen_van_zit): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.64'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.64']/@nullFlavor)">(entryRelationship_houding_veranderen_van_zit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.64'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.64'])&lt;=1">(entryRelationship_houding_veranderen_van_zit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.64'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d4103' and @codeSystem='2.16.840.1.113883.6.254')])&gt;=1 and not(hl7:code[(@code='d4103' and @codeSystem='2.16.840.1.113883.6.254')]/@nullFlavor)">(entryRelationship_houding_veranderen_van_zit): element hl7:code[(@code='d4103' and @codeSystem='2.16.840.1.113883.6.254')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d4103' and @codeSystem='2.16.840.1.113883.6.254')])&lt;=1">(entryRelationship_houding_veranderen_van_zit): element hl7:code[(@code='d4103' and @codeSystem='2.16.840.1.113883.6.254')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(entryRelationship_houding_veranderen_van_zit): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(entryRelationship_houding_veranderen_van_zit): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.64
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.64']
Item: (entryRelationship_houding_veranderen_van_zit)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.64']"
         id="tmp-r-8730dc60-a70c-4247-992f-b2978dd9734b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen_van_zit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.64'">(entryRelationship_houding_veranderen_van_zit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.64' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.64
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']/hl7:code[(@code='d4103' and @codeSystem='2.16.840.1.113883.6.254')]
Item: (entryRelationship_houding_veranderen_van_zit)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']/hl7:code[(@code='d4103' and @codeSystem='2.16.840.1.113883.6.254')]"
         id="tmp-r-9df469bd-ee3d-4106-8260-98cbb5db2459">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen_van_zit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="@nullFlavor or (@code='d4103' and @codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_veranderen_van_zit): de elementwaarde MOET een zijn van 'code 'd4103' codeSystem '2.16.840.1.113883.6.254''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.64
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (entryRelationship_houding_veranderen_van_zit)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-288a01cf-ccf0-407b-918a-59d582a42417">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen_van_zit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_veranderen_van_zit): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.6.254''.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.64-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_houding_veranderen_van_zit): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
