<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Name: handhaven van liggende houding
Description: Template voor de weergave van handhaven van liggende houding
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000">
   <title>handhaven van liggende houding</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]
Item: (entryRelationship_handhaven_van_liggende_houding)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]"
         id="tmp-r-4e911b0a-c07b-4d9d-8ff6-49da007c27b1">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']/@nullFlavor)">(entryRelationship_handhaven_van_liggende_houding): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67'])&lt;=1">(entryRelationship_handhaven_van_liggende_houding): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']
Item: (entryRelationship_handhaven_van_liggende_houding)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']"
         id="tmp-r-2d428057-2374-4f45-af8b-4867901bab74">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_handhaven_van_liggende_houding): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_handhaven_van_liggende_houding): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']/@nullFlavor)">(entryRelationship_handhaven_van_liggende_houding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67'])&lt;=1">(entryRelationship_handhaven_van_liggende_houding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')])&gt;=1 and not(hl7:code[(@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')]/@nullFlavor)">(entryRelationship_handhaven_van_liggende_houding): element hl7:code[(@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')])&lt;=1">(entryRelationship_handhaven_van_liggende_houding): element hl7:code[(@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(entryRelationship_handhaven_van_liggende_houding): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(entryRelationship_handhaven_van_liggende_houding): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']
Item: (entryRelationship_handhaven_van_liggende_houding)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']"
         id="tmp-r-05909cfb-a436-4f28-873d-7e0dccf8221a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_handhaven_van_liggende_houding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.67'">(entryRelationship_handhaven_van_liggende_houding): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.67' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']/hl7:code[(@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')]
Item: (entryRelationship_handhaven_van_liggende_houding)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']/hl7:code[(@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')]"
         id="tmp-r-91f3e9fe-8c53-4b23-9c4d-7733fbb1e4bf">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_handhaven_van_liggende_houding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="@nullFlavor or (@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_handhaven_van_liggende_houding): de elementwaarde MOET een zijn van 'code 'd4150' codeSystem '2.16.840.1.113883.6.254''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (entryRelationship_handhaven_van_liggende_houding)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-935a874b-ba87-4611-8e87-2268e1f711ce">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_handhaven_van_liggende_houding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_handhaven_van_liggende_houding): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.6.254''.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.67-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_handhaven_van_liggende_houding): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
