<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Name: wassen gezicht
Description: Template voor de weergave van entryRelationship wassen gezicht
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000">
   <title>wassen gezicht</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]
Item: (entryRelationship_wassen_gezicht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]"
         id="tmp-r-78c46b0b-a1ab-404c-8b34-9963dd65e827">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']/@nullFlavor)">(entryRelationship_wassen_gezicht): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77'])&lt;=1">(entryRelationship_wassen_gezicht): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']
Item: (entryRelationship_wassen_gezicht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']"
         id="tmp-r-4852ab45-8940-419e-a221-d0697da3747c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_wassen_gezicht): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_wassen_gezicht): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.77'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.77']/@nullFlavor)">(entryRelationship_wassen_gezicht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.77'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.77'])&lt;=1">(entryRelationship_wassen_gezicht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.77'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="count(hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_wassen_gezicht): element hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="count(hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_wassen_gezicht): element hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(entryRelationship_wassen_gezicht): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(entryRelationship_wassen_gezicht): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.77']
Item: (entryRelationship_wassen_gezicht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.77']"
         id="tmp-r-eca1a275-6945-4a2b-9b0f-2b1f1b7c646c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_wassen_gezicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.77'">(entryRelationship_wassen_gezicht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.77' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_wassen_gezicht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-3a5a625f-5c46-4ff3-8d00-aac0030c9e84">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_wassen_gezicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="@nullFlavor or (@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_wassen_gezicht): de elementwaarde MOET een zijn van 'code '284785009' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(entryRelationship_wassen_gezicht): element hl7:qualifier is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="count(hl7:qualifier)&lt;=1">(entryRelationship_wassen_gezicht): element hl7:qualifier komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.779
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier
Item: (QualifierEntireFace)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier"
         id="tmp-r-13433f26-8d81-487a-bbe6-d0fa6bb5987d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.779-2012-05-03T000000.html"
              test="count(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(QualifierEntireFace): element hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.779-2012-05-03T000000.html"
              test="count(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(QualifierEntireFace): element hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.779-2012-05-03T000000.html"
              test="count(hl7:value[(@code='302549007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:value[(@code='302549007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(QualifierEntireFace): element hl7:value[(@code='302549007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.779-2012-05-03T000000.html"
              test="count(hl7:value[(@code='302549007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(QualifierEntireFace): element hl7:value[(@code='302549007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.779
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (QualifierEntireFace)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-07c5ed17-13ba-46b5-a220-c81c93bed2db">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.779-2012-05-03T000000.html"
              test="@nullFlavor or (@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierEntireFace): de elementwaarde MOET een zijn van 'code '405813007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.779
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:value[(@code='302549007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (QualifierEntireFace)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:value[(@code='302549007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-657b3ce4-64cd-42c3-af8d-7359315b34b1">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.779-2012-05-03T000000.html"
              test="@nullFlavor or (@code='302549007' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierEntireFace): de elementwaarde MOET een zijn van 'code '302549007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (entryRelationship_wassen_gezicht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-b3f263a0-ff68-4622-a663-df1efb29109a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_wassen_gezicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_wassen_gezicht): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.6.254''.</assert>
      <let name="theICFCode" value="'d5100'"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.77-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_wassen_gezicht): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
