<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.81
Name: entry Mond verzorging
Description: Template voor de weergave van entry Mond verzorging
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000">
   <title>entry Mond verzorging</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.81
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]
Item: (entry_Mond_verzorging)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]"
         id="tmp-r-876a99c3-baab-4e9d-bc7a-f32d8ecce077">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']/@nullFlavor)">(entry_Mond_verzorging): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81'])&lt;=1">(entry_Mond_verzorging): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.81
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']
Item: (entry_Mond_verzorging)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']"
         id="tmp-r-10e53ed1-dc73-4b2c-822e-00504363fead">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entry_Mond_verzorging): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entry_Mond_verzorging): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']/@nullFlavor)">(entry_Mond_verzorging): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81'])&lt;=1">(entry_Mond_verzorging): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="count(hl7:code[(@code='365190004' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='365190004' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entry_Mond_verzorging): element hl7:code[(@code='365190004' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="count(hl7:code[(@code='365190004' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entry_Mond_verzorging): element hl7:code[(@code='365190004' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/@nullFlavor)">(entry_Mond_verzorging): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']])&lt;=1">(entry_Mond_verzorging): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']])&lt;=1">(entry_Mond_verzorging): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']])&lt;=1">(entry_Mond_verzorging): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']])&lt;=1">(entry_Mond_verzorging): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']])&lt;=1">(entry_Mond_verzorging): element hl7:entryRelationship[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.81
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']
Item: (entry_Mond_verzorging)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.81']"
         id="tmp-r-86e0fc2c-4a65-4326-87b9-b8a7381e7bb5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Mond_verzorging): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.81'">(entry_Mond_verzorging): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.81' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.81
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']/hl7:code[(@code='365190004' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entry_Mond_verzorging)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']/hl7:code[(@code='365190004' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-6862638b-4588-4c2a-9108-3de69265c6ff">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Mond_verzorging): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="@nullFlavor or (@code='365190004' and @codeSystem='2.16.840.1.113883.6.96')">(entry_Mond_verzorging): de elementwaarde MOET een zijn van 'code '365190004' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.81
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]
Item: (entry_Mond_verzorging)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Mond_verzorging): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.81
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]
Item: (entry_Mond_verzorging)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Mond_verzorging): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.81
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]
Item: (entry_Mond_verzorging)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.84']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Mond_verzorging): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.81
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]
Item: (entry_Mond_verzorging)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Mond_verzorging): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.81
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']/hl7:entryRelationship[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]
Item: (entry_Mond_verzorging)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.81']/hl7:entryRelationship[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.81-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Mond_verzorging): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
