<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Name: soort ondersteuning tandverzorging
Description: Template voor de weergave van entryRelationship soort ondersteuning tandverzorging
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000">
   <title>soort ondersteuning tandverzorging</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]
Item: (entryRelationship_soort_ondersteuning_tandverz)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]"
         id="tmp-r-b0aff099-96cb-45c7-bc9b-7ff7485aa3a3">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']/@nullFlavor)">(entryRelationship_soort_ondersteuning_tandverz): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83'])&lt;=1">(entryRelationship_soort_ondersteuning_tandverz): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']
Item: (entryRelationship_soort_ondersteuning_tandverz)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']"
         id="tmp-r-141db471-df7c-4bf9-9f1f-bb5bc390b60f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_soort_ondersteuning_tandverz): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_soort_ondersteuning_tandverz): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']/@nullFlavor)">(entryRelationship_soort_ondersteuning_tandverz): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83'])&lt;=1">(entryRelationship_soort_ondersteuning_tandverz): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_soort_ondersteuning_tandverz): element hl7:code[(@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_soort_ondersteuning_tandverz): element hl7:code[(@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_soort_ondersteuning_tandverz): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_soort_ondersteuning_tandverz): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']
Item: (entryRelationship_soort_ondersteuning_tandverz)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']"
         id="tmp-r-1b8cd052-db90-46b1-9b73-542dd05d2ed8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_soort_ondersteuning_tandverz): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.83'">(entryRelationship_soort_ondersteuning_tandverz): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.83' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']/hl7:code[(@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_soort_ondersteuning_tandverz)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']/hl7:code[(@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-e0186774-dbd5-4ab6-9360-729f88a5b887">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_soort_ondersteuning_tandverz): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="@nullFlavor or (@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_soort_ondersteuning_tandverz): de elementwaarde MOET een zijn van 'code '225963009' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']/hl7:value
Item: (entryRelationship_soort_ondersteuning_tandverz)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']/hl7:value"
         id="tmp-r-530c42cc-d9d2-424d-b7a6-880d0e3c6e12">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.83-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_soort_ondersteuning_tandverz): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
