<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.85
Name: orthothese aanwezig
Description: Template voor de weergave van entryRelationship orthothese aanwezig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.85-2012-05-03T000000">
   <title>orthothese aanwezig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.85
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]
Item: (entryRelationship_orthothese_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]"
         id="tmp-r-6b011ff6-a64e-40a5-bba5-fe38e030466a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.85-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']/@nullFlavor)">(entryRelationship_orthothese_aanwezig): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.85-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85'])&lt;=1">(entryRelationship_orthothese_aanwezig): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.85
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']
Item: (entryRelationship_orthothese_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']"
         id="tmp-r-bb719533-adc1-4063-b7e0-3a998f43bcaa">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.85-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_orthothese_aanwezig): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.85-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_orthothese_aanwezig): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.85-2012-05-03T000000.html"
              test="@negationInd">(entryRelationship_orthothese_aanwezig): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.85-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entryRelationship_orthothese_aanwezig): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.85-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.85'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.85']/@nullFlavor)">(entryRelationship_orthothese_aanwezig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.85'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.85-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.85'])&lt;=1">(entryRelationship_orthothese_aanwezig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.85'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.85-2012-05-03T000000.html"
              test="count(hl7:code[(@code='261345007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='261345007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_orthothese_aanwezig): element hl7:code[(@code='261345007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.85-2012-05-03T000000.html"
              test="count(hl7:code[(@code='261345007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_orthothese_aanwezig): element hl7:code[(@code='261345007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.85
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.85']
Item: (entryRelationship_orthothese_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.85']"
         id="tmp-r-6834c879-0748-4bf8-8b83-5f6e3932b3de">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.85-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_orthothese_aanwezig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.85-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.85'">(entryRelationship_orthothese_aanwezig): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.85' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.85
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']/hl7:code[(@code='261345007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_orthothese_aanwezig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.85']/hl7:code[(@code='261345007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-506a3423-7e28-4485-9c7c-08aa77709ff1">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.85-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_orthothese_aanwezig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.85-2012-05-03T000000.html"
              test="@nullFlavor or (@code='261345007' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_orthothese_aanwezig): de elementwaarde MOET een zijn van 'code '261345007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
</pattern>
