<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.89
Name: bovenlichaamaan- en uitkleden
Description: Template voor de weergave van entryRelelationship Aan- en uitkleden
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000">
   <title>bovenlichaamaan- en uitkleden</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.89
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]
Item: (entryRelationship_bovenlichaam_Aan-_en_uitkleden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]"
         id="tmp-r-706b18e2-4e1f-4d26-bd14-107d445d90f0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']/@nullFlavor)">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89'])&lt;=1">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.89
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']
Item: (entryRelationship_bovenlichaam_Aan-_en_uitkleden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']"
         id="tmp-r-ddf1d615-0b96-4273-9ed8-ce5315623035">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.89'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.89']/@nullFlavor)">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.89'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.89'])&lt;=1">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.89'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="count(hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): element hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="count(hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): element hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.89
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.89']
Item: (entryRelationship_bovenlichaam_Aan-_en_uitkleden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.89']"
         id="tmp-r-bd3345b8-ba8c-47da-93ea-8bdce0984204">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.89'">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.89' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.89
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_bovenlichaam_Aan-_en_uitkleden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-a7151f88-f712-429f-be17-a87c4a7414a9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="@nullFlavor or (@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): de elementwaarde MOET een zijn van 'code '165235000' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): element hl7:qualifier is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="count(hl7:qualifier)&lt;=1">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): element hl7:qualifier komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.777
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier
Item: (QualifierUpperBody)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier"
         id="tmp-r-25dc3985-1920-4c45-bc67-5cab65db3586">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.777-2012-05-03T000000.html"
              test="count(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(QualifierUpperBody): element hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.777-2012-05-03T000000.html"
              test="count(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(QualifierUpperBody): element hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.777-2012-05-03T000000.html"
              test="count(hl7:value[(@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:value[(@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(QualifierUpperBody): element hl7:value[(@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.777-2012-05-03T000000.html"
              test="count(hl7:value[(@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(QualifierUpperBody): element hl7:value[(@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.777
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (QualifierUpperBody)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-f4d01fb0-9ed0-4f82-b5da-ea5103efecf9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.777-2012-05-03T000000.html"
              test="@nullFlavor or (@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierUpperBody): de elementwaarde MOET een zijn van 'code '405813007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.777
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:value[(@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (QualifierUpperBody)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']/hl7:code[(@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:value[(@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-df2cc609-4339-4b72-bcc3-67209df3262e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.777-2012-05-03T000000.html"
              test="@nullFlavor or (@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierUpperBody): de elementwaarde MOET een zijn van 'code '128262006' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.89
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (entryRelationship_bovenlichaam_Aan-_en_uitkleden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.89']/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-10834c48-7731-4fe8-8a99-8abab2c1091c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.6.254''.</assert>
      <let name="theICFCode" value="'d5408'"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.89-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_bovenlichaam_Aan-_en_uitkleden): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
