<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Name: welke woning-aanpassingen nodig
Description: Template Welke woning-aanpassingen nodig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000">
   <title>welke woning-aanpassingen nodig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]
Item: (Modification_of_house)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]"
         id="tmp-r-58342a48-28e7-49a8-8ded-09c6dec8897e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']/@nullFlavor)">(Modification_of_house): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9'])&lt;=1">(Modification_of_house): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']
Item: (Modification_of_house)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']"
         id="tmp-r-e19a8f47-af04-4bfc-857d-a51a37090005">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(Modification_of_house): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(Modification_of_house): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']/@nullFlavor)">(Modification_of_house): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9'])&lt;=1">(Modification_of_house): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:code[(@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Modification_of_house): element hl7:code[(@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:code[(@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Modification_of_house): element hl7:code[(@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Modification_of_house): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(Modification_of_house): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']
Item: (Modification_of_house)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.9']"
         id="tmp-r-a779ef62-3e2f-4aa7-9ae3-0d1d4bea4ce4">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Modification_of_house): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.9'">(Modification_of_house): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.9' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']/hl7:code[(@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Modification_of_house)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']/hl7:code[(@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-f9480fdd-94a0-4185-8a57-a46a557cba6c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Modification_of_house): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="@nullFlavor or (@code='311765004' and @codeSystem='2.16.840.1.113883.6.96')">(Modification_of_house): de elementwaarde MOET een zijn van 'code '311765004' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.9
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']/hl7:value
Item: (Modification_of_house)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.9']/hl7:value"
         id="tmp-r-cd522e58-0401-44b4-9b2d-f67de671c327">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.9-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Modification_of_house): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
