<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.92
Name: entry Toiletgang
Description: Template voor de weergave van entry Toiletgang
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000">
   <title>entry Toiletgang</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.92
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]
Item: (entry_Toiletgang)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]"
         id="tmp-r-26d3776f-5bb3-4444-81e9-e82fcdeea27d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']/@nullFlavor)">(entry_Toiletgang): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92'])&lt;=1">(entry_Toiletgang): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.92
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']
Item: (entry_Toiletgang)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']"
         id="tmp-r-ad0968ec-23d1-4741-aebf-49bf38389f1b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entry_Toiletgang): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entry_Toiletgang): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']/@nullFlavor)">(entry_Toiletgang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92'])&lt;=1">(entry_Toiletgang): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="count(hl7:code[(@code='365207002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='365207002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entry_Toiletgang): element hl7:code[(@code='365207002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="count(hl7:code[(@code='365207002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entry_Toiletgang): element hl7:code[(@code='365207002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/@nullFlavor)">(entry_Toiletgang): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']])&lt;=1">(entry_Toiletgang): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.94']])&lt;=1">(entry_Toiletgang): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.94']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.95']])&lt;=1">(entry_Toiletgang): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.95']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.96']])&lt;=1">(entry_Toiletgang): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.96']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']])&lt;=1">(entry_Toiletgang): element hl7:entryRelationship[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.92
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']
Item: (entry_Toiletgang)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.92']"
         id="tmp-r-00a01ae4-f855-470c-a270-695dfbfd5f08">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Toiletgang): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.92'">(entry_Toiletgang): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.92' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.92
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']/hl7:code[(@code='365207002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entry_Toiletgang)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']/hl7:code[(@code='365207002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-bde87ead-b996-4dfb-858c-0d977632de82">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entry_Toiletgang): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="@nullFlavor or (@code='365207002' and @codeSystem='2.16.840.1.113883.6.96')">(entry_Toiletgang): de elementwaarde MOET een zijn van 'code '365207002' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.92
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]
Item: (entry_Toiletgang)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Toiletgang): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.92
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.94']]
Item: (entry_Toiletgang)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.94']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Toiletgang): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.92
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.95']]
Item: (entry_Toiletgang)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.95']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Toiletgang): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.92
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.96']]
Item: (entry_Toiletgang)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.96']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Toiletgang): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.92
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']/hl7:entryRelationship[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]
Item: (entry_Toiletgang)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.92']/hl7:entryRelationship[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.73']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.92-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entry_Toiletgang): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
