<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.19
Name: Sectie Interventie tav psychisch functioneren
Description: Sectie Interventie tav psychisch functioneren
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000">
   <title>Sectie Interventie tav psychisch functioneren</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.19
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]
Item: (Sectie_Interventie_tav_psychisch_functioneren)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]"
         id="tmp-r-ed03ca5d-a8ab-44b4-ae01-40e565c3ec06">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']/@nullFlavor)">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19'])&lt;=1">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.19
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']
Item: (Sectie_Interventie_tav_psychisch_functioneren)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']"
         id="tmp-r-f0051b9d-d9fe-4419-a816-db940e756ce0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19']/@nullFlavor)">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19'])&lt;=1">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000.html"
              test="count(hl7:code[(@code='24172008' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='24172008' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:code[(@code='24172008' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000.html"
              test="count(hl7:code[(@code='24172008' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:code[(@code='24172008' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]/@nullFlavor)">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']])&lt;=1">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.19
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19']
Item: (Sectie_Interventie_tav_psychisch_functioneren)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19']"
         id="tmp-r-2d331861-40f1-4b15-bab2-14c29580ada7">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Interventie_tav_psychisch_functioneren): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.19'">(Sectie_Interventie_tav_psychisch_functioneren): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.19' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.19
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']/hl7:code[(@code='24172008' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Sectie_Interventie_tav_psychisch_functioneren)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']/hl7:code[(@code='24172008' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-5a3cd756-884f-436a-a4b2-f1d5db97c7ee">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Interventie_tav_psychisch_functioneren): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000.html"
              test="@nullFlavor or (@code='24172008' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Interventie_tav_psychisch_functioneren): de elementwaarde MOET een zijn van 'code '24172008' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.19
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']/hl7:title
Item: (Sectie_Interventie_tav_psychisch_functioneren)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.19
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]
Item: (Sectie_Interventie_tav_psychisch_functioneren)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.189']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.19-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Interventie_tav_psychisch_functioneren): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
