<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.23
Name: Sectie Levens overtuiging
Description: Sectie Levens overtuiging
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000">
   <title>Sectie Levens overtuiging</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.23
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]
Item: (Sectie_Levens_overtuiging)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]"
         id="tmp-r-328e3435-1522-492e-9ce2-c70f6ed1429f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']/@nullFlavor)">(Sectie_Levens_overtuiging): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23'])&lt;=1">(Sectie_Levens_overtuiging): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.23
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']
Item: (Sectie_Levens_overtuiging)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']"
         id="tmp-r-b61da9b0-73d5-4c07-a90c-1765f37630a0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23']/@nullFlavor)">(Sectie_Levens_overtuiging): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23'])&lt;=1">(Sectie_Levens_overtuiging): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000.html"
              test="count(hl7:code[(@code='108334009' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='108334009' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Sectie_Levens_overtuiging): element hl7:code[(@code='108334009' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000.html"
              test="count(hl7:code[(@code='108334009' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Sectie_Levens_overtuiging): element hl7:code[(@code='108334009' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Levens_overtuiging): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000.html"
              test="count(hl7:title)&lt;=1">(Sectie_Levens_overtuiging): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.235']])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.235']]/@nullFlavor)">(Sectie_Levens_overtuiging): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.235']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.235']])&lt;=1">(Sectie_Levens_overtuiging): element hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.235']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.23
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23']
Item: (Sectie_Levens_overtuiging)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.23']"
         id="tmp-r-61ca0853-25ef-412c-8631-8c25f9ff3d0e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Levens_overtuiging): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.1.23'">(Sectie_Levens_overtuiging): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.23' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.23
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']/hl7:code[(@code='108334009' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Sectie_Levens_overtuiging)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']/hl7:code[(@code='108334009' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-21e0e2d7-a315-4841-974b-0dc61bd452e4">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Sectie_Levens_overtuiging): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000.html"
              test="@nullFlavor or (@code='108334009' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Levens_overtuiging): de elementwaarde MOET een zijn van 'code '108334009' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.23
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']/hl7:title
Item: (Sectie_Levens_overtuiging)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.23
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.235']]
Item: (Sectie_Levens_overtuiging)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.23']/hl7:entry[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.235']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.1.23-2012-05-03T000000.html"
              test="string(@typeCode)='DRIV'">(Sectie_Levens_overtuiging): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
