<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.147
Name: aantal weken - zwangerschap
Description: Template voor de weergave van aantal weken - zwangerschap
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000">
   <title>aantal weken - zwangerschap</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.147
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]
Item: (aantal_weken_zwangerschap)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]"
         id="tmp-r-d6b555d1-4e7f-44db-9c21-5900af6cf765">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']/@nullFlavor)">(aantal_weken_zwangerschap): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147'])&lt;=1">(aantal_weken_zwangerschap): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.147
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']
Item: (aantal_weken_zwangerschap)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']"
         id="tmp-r-d9f34984-0277-4227-b1bb-5e08f629ba0e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(aantal_weken_zwangerschap): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(aantal_weken_zwangerschap): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.147'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.147']/@nullFlavor)">(aantal_weken_zwangerschap): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.147'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.147'])&lt;=1">(aantal_weken_zwangerschap): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.147'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="count(hl7:code[(@code='57036006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='57036006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(aantal_weken_zwangerschap): element hl7:code[(@code='57036006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="count(hl7:code[(@code='57036006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(aantal_weken_zwangerschap): element hl7:code[(@code='57036006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(aantal_weken_zwangerschap): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(aantal_weken_zwangerschap): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.147
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.147']
Item: (aantal_weken_zwangerschap)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.147']"
         id="tmp-r-9a55fcde-ddea-4bf8-a11c-587bc51326c0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(aantal_weken_zwangerschap): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.147'">(aantal_weken_zwangerschap): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.147' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.147
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']/hl7:code[(@code='57036006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (aantal_weken_zwangerschap)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']/hl7:code[(@code='57036006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-758c7793-d351-4db3-9c5f-6ad42d9b0039">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(aantal_weken_zwangerschap): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="@nullFlavor or (@code='57036006' and @codeSystem='2.16.840.1.113883.6.96')">(aantal_weken_zwangerschap): de elementwaarde MOET een zijn van 'code '57036006' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.147
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']/hl7:value
Item: (aantal_weken_zwangerschap)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.147']/hl7:value"
         id="tmp-r-4ee43fc8-3f9b-4921-a9a6-5cd6dd234591">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(aantal_weken_zwangerschap): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="(@nullFlavor or (@unit='wk'))">(aantal_weken_zwangerschap): value MOET eenheid 'wk' gebruiken </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="$digitok or @nullFlavor">(aantal_weken_zwangerschap): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.147-2012-05-03T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(aantal_weken_zwangerschap): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
