<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.154
Name: preventie decubitus
Description: preventie decubitus
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.154-2012-05-03T000000">
   <title>preventie decubitus</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.154
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]
Item: (preventie_decubitus)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]"
         id="tmp-r-3a847365-e337-4c6f-be43-02e9233a082f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.154-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154'])&gt;=1 and not(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']/@nullFlavor)">(preventie_decubitus): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.154-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154'])&lt;=1">(preventie_decubitus): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.154
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']
Item: (preventie_decubitus)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']"
         id="tmp-r-e45bca3c-0f1e-430b-bb77-4b1007bec5c7">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.154-2012-05-03T000000.html"
              test="string(@classCode)='PROC'">(preventie_decubitus): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.154-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(preventie_decubitus): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.154-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154']/@nullFlavor)">(preventie_decubitus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.154-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154'])&lt;=1">(preventie_decubitus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.154-2012-05-03T000000.html"
              test="count(hl7:code[(@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(preventie_decubitus): element hl7:code[(@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.154-2012-05-03T000000.html"
              test="count(hl7:code[(@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(preventie_decubitus): element hl7:code[(@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.154
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154']
Item: (preventie_decubitus)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.154']"
         id="tmp-r-3ecafe30-70b4-4581-82d0-9b4b7b2e0d10">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.154-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(preventie_decubitus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.154-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.154'">(preventie_decubitus): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.154' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.154
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']/hl7:code[(@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (preventie_decubitus)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.154']/hl7:code[(@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-feaa2ae5-edbb-4c49-9c98-db28002b1ec4">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.154-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(preventie_decubitus): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.154-2012-05-03T000000.html"
              test="@nullFlavor or (@code='169443000' and @codeSystem='2.16.840.1.113883.6.96')">(preventie_decubitus): de elementwaarde MOET een zijn van 'code '169443000' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
</pattern>
