<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.166
Name: behandelplan - overige huidaandoeningen
Description: Template voor de weergave van behandelplan - overige huidaandoeningen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.166-2012-05-03T000000">
   <title>behandelplan - overige huidaandoeningen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.166
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]
Item: (behandelplan_overige_huidaandoeningen)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]"
         id="tmp-r-3de46870-9d16-4527-908d-8c830f10ca00">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.166-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166'])&gt;=1 and not(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']/@nullFlavor)">(behandelplan_overige_huidaandoeningen): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.166-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166'])&lt;=1">(behandelplan_overige_huidaandoeningen): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.166
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']
Item: (behandelplan_overige_huidaandoeningen)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']"
         id="tmp-r-882adf74-7607-4793-94c8-748dd75436ef">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.166-2012-05-03T000000.html"
              test="string(@classCode)='PROC'">(behandelplan_overige_huidaandoeningen): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.166-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(behandelplan_overige_huidaandoeningen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.166-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.166'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.166']/@nullFlavor)">(behandelplan_overige_huidaandoeningen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.166'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.166-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.166'])&lt;=1">(behandelplan_overige_huidaandoeningen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.166'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.166-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225360001' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='225360001' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(behandelplan_overige_huidaandoeningen): element hl7:code[(@code='225360001' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.166-2012-05-03T000000.html"
              test="count(hl7:code[(@code='225360001' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(behandelplan_overige_huidaandoeningen): element hl7:code[(@code='225360001' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.166
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.166']
Item: (behandelplan_overige_huidaandoeningen)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.166']"
         id="tmp-r-eacded08-7ebe-4f6d-9828-1dca3c8221ad">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.166-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(behandelplan_overige_huidaandoeningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.166-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.166'">(behandelplan_overige_huidaandoeningen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.166' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.166
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']/hl7:code[(@code='225360001' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (behandelplan_overige_huidaandoeningen)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.166']/hl7:code[(@code='225360001' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-ec7f161c-967e-4006-b5c2-c9d293b3d864">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.166-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(behandelplan_overige_huidaandoeningen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.166-2012-05-03T000000.html"
              test="@nullFlavor or (@code='225360001' and @codeSystem='2.16.840.1.113883.6.96')">(behandelplan_overige_huidaandoeningen): de elementwaarde MOET een zijn van 'code '225360001' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
</pattern>
