<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Name: besproken met wettelijke vertegenwoordiger
Description: Template voor de weergave van besproken met wettelijke vertegenwoordiger
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000">
   <title>besproken met wettelijke vertegenwoordiger</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]"
         id="tmp-r-9b1f2252-6baf-43df-b60d-599954127d24">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197'])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']"
         id="tmp-r-2759cd7f-fc04-4535-b7c9-fdc7e3f2baae">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(besproken_met_wettelijke_vertegenwoordiger): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(besproken_met_wettelijke_vertegenwoordiger): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="@negationInd">(besproken_met_wettelijke_vertegenwoordiger): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(besproken_met_wettelijke_vertegenwoordiger): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']"
         id="tmp-r-52aaf022-138a-4e79-b93b-08c8c526a5e0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(besproken_met_wettelijke_vertegenwoordiger): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.197'">(besproken_met_wettelijke_vertegenwoordiger): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.197' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-2e5474fd-81fd-4bbe-b098-c428dc2cf46f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(besproken_met_wettelijke_vertegenwoordiger): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="@nullFlavor or (@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')">(besproken_met_wettelijke_vertegenwoordiger): de elementwaarde MOET een zijn van 'code '420165002' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:qualifier is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:qualifier)&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:qualifier komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier"
         id="tmp-r-d74ac25e-013d-4f0e-a256-f6682c9b450c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="count(hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:name[(@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-1ec387ee-aafc-43ea-8137-c9444c869d5f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="@nullFlavor or (@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')">(besproken_met_wettelijke_vertegenwoordiger): de elementwaarde MOET een zijn van 'code '408732007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']/hl7:code[(@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:value[(@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-fc7e9d03-1662-4e63-9ae8-b407ea738be8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.197-2012-05-03T000000.html"
              test="@nullFlavor or (@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')">(besproken_met_wettelijke_vertegenwoordiger): de elementwaarde MOET een zijn van 'code '58626002' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
</pattern>
