<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Name: bron bewering allergie
Description: Template voor de weergave van Bron bewering allergie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000">
   <title>bron bewering allergie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]
Item: (Bron_bewering_allergie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']"
         id="tmp-r-fb5ae229-0500-4f0f-bddd-a24ff32e3247">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']/@nullFlavor)">(Bron_bewering_allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'])&lt;=1">(Bron_bewering_allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(Bron_bewering_allergie): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']"
         id="tmp-r-668a5545-3f6b-4015-bf1b-f20dbf2acd3a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.22'">(Bron_bewering_allergie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.22' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity"
         id="tmp-r-96a3c37b-3489-448d-93a8-bfd46df92bfb">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(Bron_bewering_allergie): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity/hl7:id
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity/hl7:id"
         id="tmp-r-b1d280e2-11ef-45be-b966-4ba2f4f5039d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity/hl7:assignedPerson
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-2aad69b3-5a5c-448d-8527-c9476c65a247">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(Bron_bewering_allergie): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:name)&lt;=1">(Bron_bewering_allergie): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-da4d61ec-78ef-4c34-ba3d-129e93104227">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:given[not(@qualifier='IN')])&lt;=1">(Bron_bewering_allergie): element hl7:given[not(@qualifier='IN')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:given[@qualifier='IN'])&lt;=1">(Bron_bewering_allergie): element hl7:given[@qualifier='IN'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)">(Bron_bewering_allergie): element hl7:family is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:family)&lt;=1">(Bron_bewering_allergie): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:given[not(@qualifier='IN')]
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:given[not(@qualifier='IN')]"
         id="tmp-r-975e063a-635f-4088-8a41-05b6e2c2247b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="string(@qualifier)='BR' or not(@qualifier)">(Bron_bewering_allergie): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:given[@qualifier='IN']
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:given[@qualifier='IN']"
         id="tmp-r-df5fcfdd-8268-44c2-99ea-35ced44eab9a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="string(@qualifier)='IN' or not(@qualifier)">(Bron_bewering_allergie): de waarde van @qualifier MOET 'IN' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:family
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:family"
         id="tmp-r-5d425076-3973-4716-ab94-eb0232e01b24">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="count(hl7:family)&lt;=1">(Bron_bewering_allergie): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:family/hl7:family
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:family/hl7:family"
         id="tmp-r-dcc403e8-8bc3-4fcd-ad08-3a8e676c54ff">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.22-2012-05-03T000000.html"
              test="string(@qualifier)='BR' or string(@qualifier)='SP' or not(@qualifier)">(Bron_bewering_allergie): de waarde van @qualifier MOET één van de volgende codes bevatten: BR', 'SP.</assert>
   </rule>
</pattern>
