<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.226
Name: verbale communicatie zich_kunnen_uiten
Description: Template voor de weergave van verbale communicatie zich_kunnen_uiten
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000">
   <title>verbale communicatie zich_kunnen_uiten</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.226
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]
Item: (verbale_communicatie_zich_kunnen_uiten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]"
         id="tmp-r-c0b2a909-0036-40fa-8dde-5d14aea7cc6f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']/@nullFlavor)">(verbale_communicatie_zich_kunnen_uiten): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226'])&lt;=1">(verbale_communicatie_zich_kunnen_uiten): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.226
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']
Item: (verbale_communicatie_zich_kunnen_uiten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']"
         id="tmp-r-8753549d-a470-44ba-a45e-e706fca4e7fd">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(verbale_communicatie_zich_kunnen_uiten): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(verbale_communicatie_zich_kunnen_uiten): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.226'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.226']/@nullFlavor)">(verbale_communicatie_zich_kunnen_uiten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.226'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.226'])&lt;=1">(verbale_communicatie_zich_kunnen_uiten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.226'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d330' and @codeSystem='2.16.840.1.113883.6.254')])&gt;=1 and not(hl7:code[(@code='d330' and @codeSystem='2.16.840.1.113883.6.254')]/@nullFlavor)">(verbale_communicatie_zich_kunnen_uiten): element hl7:code[(@code='d330' and @codeSystem='2.16.840.1.113883.6.254')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="count(hl7:code[(@code='d330' and @codeSystem='2.16.840.1.113883.6.254')])&lt;=1">(verbale_communicatie_zich_kunnen_uiten): element hl7:code[(@code='d330' and @codeSystem='2.16.840.1.113883.6.254')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(verbale_communicatie_zich_kunnen_uiten): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(verbale_communicatie_zich_kunnen_uiten): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.226
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.226']
Item: (verbale_communicatie_zich_kunnen_uiten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.226']"
         id="tmp-r-66e6b66a-e4a7-4f5c-b7b8-ba2270e69569">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(verbale_communicatie_zich_kunnen_uiten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.226'">(verbale_communicatie_zich_kunnen_uiten): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.226' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.226
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']/hl7:code[(@code='d330' and @codeSystem='2.16.840.1.113883.6.254')]
Item: (verbale_communicatie_zich_kunnen_uiten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']/hl7:code[(@code='d330' and @codeSystem='2.16.840.1.113883.6.254')]"
         id="tmp-r-e80e6f39-726d-410c-be04-38476c6415c1">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(verbale_communicatie_zich_kunnen_uiten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="@nullFlavor or (@code='d330' and @codeSystem='2.16.840.1.113883.6.254')">(verbale_communicatie_zich_kunnen_uiten): de elementwaarde MOET een zijn van 'code 'd330' codeSystem '2.16.840.1.113883.6.254''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.226
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (verbale_communicatie_zich_kunnen_uiten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-31d18973-879d-4c1e-b382-d3ecb97df826">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(verbale_communicatie_zich_kunnen_uiten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(verbale_communicatie_zich_kunnen_uiten): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.6.254''.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.226-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(verbale_communicatie_zich_kunnen_uiten): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
