<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.237
Name: cultuur
Description: Template voor de weergave van cultuur
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000">
   <title>cultuur</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.237
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]
Item: (cultuur)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]"
         id="tmp-r-3ffd14f1-b199-41ea-ac21-a2fe1b2668ed">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']/@nullFlavor)">(cultuur): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237'])&lt;=1">(cultuur): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.237
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']
Item: (cultuur)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']"
         id="tmp-r-add6c7a1-7bce-43dc-815e-d938f2b217b4">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(cultuur): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(cultuur): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.237'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.237']/@nullFlavor)">(cultuur): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.237'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.237'])&lt;=1">(cultuur): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.237'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000.html"
              test="count(hl7:code[(@code='186034007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='186034007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(cultuur): element hl7:code[(@code='186034007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000.html"
              test="count(hl7:code[(@code='186034007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(cultuur): element hl7:code[(@code='186034007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(cultuur): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(cultuur): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.237
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.237']
Item: (cultuur)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.237']"
         id="tmp-r-e1145483-107c-4c7b-9425-26c16b2bce3e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cultuur): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.237'">(cultuur): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.237' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.237
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']/hl7:code[(@code='186034007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (cultuur)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']/hl7:code[(@code='186034007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-aafdd838-c437-4514-a96a-531449407325">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cultuur): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000.html"
              test="@nullFlavor or (@code='186034007' and @codeSystem='2.16.840.1.113883.6.96')">(cultuur): de elementwaarde MOET een zijn van 'code '186034007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.237
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']/hl7:value
Item: (cultuur)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']/hl7:value"
         id="tmp-r-03ea6da4-2ff3-4fe2-93c8-552c4c84b970">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.237-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cultuur): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
