<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Name: wilsverklaring
Description: Template voor de weergave van wilsverklaring
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000">
   <title>wilsverklaring</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]
Item: (wilsverklaring)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]"
         id="tmp-r-6b4c9a94-7db2-494c-bcb6-560945cd10c5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']/@nullFlavor)">(wilsverklaring): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238'])&lt;=1">(wilsverklaring): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']
Item: (wilsverklaring)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']"
         id="tmp-r-0de17fa2-a45c-4964-a360-f609dda2f1df">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(wilsverklaring): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(wilsverklaring): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="@negationInd">(wilsverklaring): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(wilsverklaring): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']/@nullFlavor)">(wilsverklaring): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238'])&lt;=1">(wilsverklaring): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:code[(@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(wilsverklaring): element hl7:code[(@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:code[(@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(wilsverklaring): element hl7:code[(@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']])&lt;=1">(wilsverklaring): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']
Item: (wilsverklaring)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.238']"
         id="tmp-r-b37f587a-2a62-4f5c-a8ac-3fbfe810a788">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wilsverklaring): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.238'">(wilsverklaring): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.238' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']/hl7:code[(@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (wilsverklaring)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']/hl7:code[(@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-addea807-7244-4c0a-8993-7d5ddf127dbf">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wilsverklaring): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="@nullFlavor or (@code='425392003' and @codeSystem='2.16.840.1.113883.6.96')">(wilsverklaring): de elementwaarde MOET een zijn van 'code '425392003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.238
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]
Item: (wilsverklaring)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.238']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.239']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.238-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(wilsverklaring): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
