<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Name: aanvraag hulpmiddelen aanpassingen
Description: Template voor de weergave van aanvraag hulpmiddelen aanpassingen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000">
   <title>aanvraag hulpmiddelen aanpassingen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]
Item: (aanvraag_hulpmiddelen_aanpassingen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]"
         id="tmp-r-dcb2ca48-e995-4a3a-af65-8be2aab685b5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="count(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257'])&gt;=1 and not(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']/@nullFlavor)">(aanvraag_hulpmiddelen_aanpassingen): element hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="count(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257'])&lt;=1">(aanvraag_hulpmiddelen_aanpassingen): element hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']
Item: (aanvraag_hulpmiddelen_aanpassingen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']"
         id="tmp-r-5d059b68-19a2-4f73-991c-5a2dfff79f2a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="string(@classCode)='SPLY'">(aanvraag_hulpmiddelen_aanpassingen): de waarde van @classCode MOET 'SPLY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(aanvraag_hulpmiddelen_aanpassingen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257']/@nullFlavor)">(aanvraag_hulpmiddelen_aanpassingen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257'])&lt;=1">(aanvraag_hulpmiddelen_aanpassingen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="count(hl7:code[(@code='272181003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='272181003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(aanvraag_hulpmiddelen_aanpassingen): element hl7:code[(@code='272181003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="count(hl7:code[(@code='272181003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(aanvraag_hulpmiddelen_aanpassingen): element hl7:code[(@code='272181003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="count(hl7:statusCode)&lt;=1">(aanvraag_hulpmiddelen_aanpassingen): element hl7:statusCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257']
Item: (aanvraag_hulpmiddelen_aanpassingen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257']"
         id="tmp-r-f9eb0a7c-bef5-41a7-a303-4577afccbaf9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(aanvraag_hulpmiddelen_aanpassingen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.257'">(aanvraag_hulpmiddelen_aanpassingen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.257' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']/hl7:code[(@code='272181003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (aanvraag_hulpmiddelen_aanpassingen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']/hl7:code[(@code='272181003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-e8f8e890-6770-4d83-b8de-94f9dc5b63fc">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(aanvraag_hulpmiddelen_aanpassingen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="@nullFlavor or (@code='272181003' and @codeSystem='2.16.840.1.113883.6.96')">(aanvraag_hulpmiddelen_aanpassingen): de elementwaarde MOET een zijn van 'code '272181003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.257
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']/hl7:statusCode
Item: (aanvraag_hulpmiddelen_aanpassingen)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.257']/hl7:statusCode"
         id="tmp-r-f25a51ee-ba05-4208-9ab3-42a1d552b089">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(aanvraag_hulpmiddelen_aanpassingen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.257-2012-05-03T000000.html"
              test="@nullFlavor or (@code='completed')">(aanvraag_hulpmiddelen_aanpassingen): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>
</pattern>
