<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.29
Name: reden in zorg
Description: Template: entryRelationship reden in zorg
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000">
   <title>reden in zorg</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.29
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]
Item: (entryRelationship_reden_in_zorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]"
         id="tmp-r-1a9f772e-ca98-480e-8efe-d5209838ba8d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']/@nullFlavor)">(entryRelationship_reden_in_zorg): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29'])&lt;=1">(entryRelationship_reden_in_zorg): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.29
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']
Item: (entryRelationship_reden_in_zorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']"
         id="tmp-r-86785363-89d5-43cc-9599-a7ebcc71cae5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_reden_in_zorg): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_reden_in_zorg): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29']/@nullFlavor)">(entryRelationship_reden_in_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29'])&lt;=1">(entryRelationship_reden_in_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000.html"
              test="count(hl7:code[(@code='86644006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='86644006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_reden_in_zorg): element hl7:code[(@code='86644006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000.html"
              test="count(hl7:code[(@code='86644006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_reden_in_zorg): element hl7:code[(@code='86644006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_reden_in_zorg): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_reden_in_zorg): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.29
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29']
Item: (entryRelationship_reden_in_zorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.29']"
         id="tmp-r-f78eae80-20e1-4e72-bd4a-1bfed9c87326">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_reden_in_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.29'">(entryRelationship_reden_in_zorg): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.29' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.29
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']/hl7:code[(@code='86644006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_reden_in_zorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']/hl7:code[(@code='86644006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-94eda8af-b4f8-4926-a3a3-fe678ba7e418">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_reden_in_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000.html"
              test="@nullFlavor or (@code='86644006' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_reden_in_zorg): de elementwaarde MOET een zijn van 'code '86644006' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.29
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']/hl7:value
Item: (entryRelationship_reden_in_zorg)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.29']/hl7:value"
         id="tmp-r-42bfc5e3-78a2-4e33-9d09-39c5aa42c34a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.29-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_reden_in_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
