<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Name: CIZ-indicatie
Description: Template: entryRelationship CIZ-indicatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000">
   <title>CIZ-indicatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]
Item: (entryRelationship_CIZ-indicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]"
         id="tmp-r-d1c0e410-eb90-4417-a434-9b8feb081678">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']/@nullFlavor)">(entryRelationship_CIZ-indicatie): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32'] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']
Item: (entryRelationship_CIZ-indicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']"
         id="tmp-r-19840657-69be-4062-bce2-85b2b54a9dd9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_CIZ-indicatie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_CIZ-indicatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']/@nullFlavor)">(entryRelationship_CIZ-indicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32'])&lt;=1">(entryRelationship_CIZ-indicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="count(hl7:code[(@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_CIZ-indicatie): element hl7:code[(@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="count(hl7:code[(@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_CIZ-indicatie): element hl7:code[(@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_CIZ-indicatie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_CIZ-indicatie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']
Item: (entryRelationship_CIZ-indicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.32']"
         id="tmp-r-3b0ee374-a2fb-4b44-acf6-a4d6ae790eba">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_CIZ-indicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.32'">(entryRelationship_CIZ-indicatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.32' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']/hl7:code[(@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_CIZ-indicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']/hl7:code[(@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-b77481e5-5bc0-4d7c-b200-e9f865207bc6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_CIZ-indicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="@nullFlavor or (@code='440612004' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_CIZ-indicatie): de elementwaarde MOET een zijn van 'code '440612004' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.32
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']/hl7:value
Item: (entryRelationship_CIZ-indicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.32']/hl7:value"
         id="tmp-r-f04aad34-019d-4f43-ae1d-d5775b55ce60">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.32-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_CIZ-indicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
