<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Name: mening client
Description: Template: entryRelationship mening client
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000">
   <title>mening client</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]
Item: (entryRelationship_mening_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]"
         id="tmp-r-c8de197a-bbbd-4927-97b7-b96d0fd4b8f9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']/@nullFlavor)">(entryRelationship_mening_client): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35'])&lt;=1">(entryRelationship_mening_client): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']
Item: (entryRelationship_mening_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']"
         id="tmp-r-b3be58aa-5683-4971-9635-0f5c91bd6c1b">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_mening_client): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_mening_client): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']/@nullFlavor)">(entryRelationship_mening_client): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35'])&lt;=1">(entryRelationship_mening_client): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:code[(@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_mening_client): element hl7:code[(@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:code[(@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_mening_client): element hl7:code[(@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_mening_client): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_mening_client): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']
Item: (entryRelationship_mening_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.35']"
         id="tmp-r-c9d760f5-59ff-4205-a310-0f7cd6765077">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_mening_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.35'">(entryRelationship_mening_client): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.35' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']/hl7:code[(@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_mening_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']/hl7:code[(@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-d28da7ea-aa7b-464a-b94d-544b954982b8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_mening_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="@nullFlavor or (@code='405223005' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_mening_client): de elementwaarde MOET een zijn van 'code '405223005' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']/hl7:value
Item: (entryRelationship_mening_client)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']/hl7:value"
         id="tmp-r-5167f1c3-8257-40d8-b235-dbbb28052fa0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.35-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_mening_client): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
