<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.37
Name: discipline mede behandelaars
Description: Template: entryRelationship discipline mede behandelaars
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000">
   <title>discipline mede behandelaars</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]
Item: (entryRelationship_discipline_mede_behandelaars)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]"
         id="tmp-r-9af33b8d-7a5e-4622-b789-3c08c3c2b2bd">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37'])&gt;=1 ">(entryRelationship_discipline_mede_behandelaars): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37'] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']
Item: (entryRelationship_discipline_mede_behandelaars)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']"
         id="tmp-r-744b61e0-818c-4d86-88fc-0aca13f08797">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_discipline_mede_behandelaars): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_discipline_mede_behandelaars): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']/@nullFlavor)">(entryRelationship_discipline_mede_behandelaars): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37'])&lt;=1">(entryRelationship_discipline_mede_behandelaars): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="count(hl7:code[(@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_discipline_mede_behandelaars): element hl7:code[(@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="count(hl7:code[(@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_discipline_mede_behandelaars): element hl7:code[(@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_discipline_mede_behandelaars): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_discipline_mede_behandelaars): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']
Item: (entryRelationship_discipline_mede_behandelaars)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.37']"
         id="tmp-r-60dcfce1-f458-4a8b-8653-45e98b47d5d9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_discipline_mede_behandelaars): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.37'">(entryRelationship_discipline_mede_behandelaars): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.37' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']/hl7:code[(@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_discipline_mede_behandelaars)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']/hl7:code[(@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-507a5ffc-7857-4e15-9251-fa8fb16892fd">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_discipline_mede_behandelaars): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="@nullFlavor or (@code='394658006' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_discipline_mede_behandelaars): de elementwaarde MOET een zijn van 'code '394658006' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.37
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']/hl7:value
Item: (entryRelationship_discipline_mede_behandelaars)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.37']/hl7:value"
         id="tmp-r-f1dfe657-f667-47df-b918-d722b7ff4bb5">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.37-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_discipline_mede_behandelaars): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
