<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Name: bloeddruk
Description: Template: entryRelationship Bloeddruk
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000">
   <title>bloeddruk</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']]
Item: (entryRelationship_Bloeddruk)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']]"
         id="tmp-r-04c3df6c-6d39-4b3e-b78d-51c7c27f7a9f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39'])&gt;=1 and not(hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']/@nullFlavor)">(entryRelationship_Bloeddruk): element hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39'])&lt;=1">(entryRelationship_Bloeddruk): element hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']
Item: (entryRelationship_Bloeddruk)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']"
         id="tmp-r-94cf674b-8527-42bd-a34c-b821a1b04604">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="string(@classCode)='CLUSTER'">(entryRelationship_Bloeddruk): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_Bloeddruk): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.39'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.39']/@nullFlavor)">(entryRelationship_Bloeddruk): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.39'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.39'])&lt;=1">(entryRelationship_Bloeddruk): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.39'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:code[(@code='75367002' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='75367002' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_Bloeddruk): element hl7:code[(@code='75367002' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:code[(@code='75367002' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_Bloeddruk): element hl7:code[(@code='75367002' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1 ">(entryRelationship_Bloeddruk): element hl7:statusCode[@code='completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(entryRelationship_Bloeddruk): element hl7:statusCode[@code='completed' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']])&gt;=1 and not(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]/@nullFlavor)">(entryRelationship_Bloeddruk): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']])&lt;=1">(entryRelationship_Bloeddruk): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']])&gt;=1 and not(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]/@nullFlavor)">(entryRelationship_Bloeddruk): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']])&lt;=1">(entryRelationship_Bloeddruk): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.42']])&lt;=1">(entryRelationship_Bloeddruk): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.42']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.39']
Item: (entryRelationship_Bloeddruk)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.39']"
         id="tmp-r-0a5b133e-9ba1-4cb8-b2af-08b9cdc5bc32">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_Bloeddruk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.39'">(entryRelationship_Bloeddruk): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.39' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']/hl7:code[(@code='75367002' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_Bloeddruk)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']/hl7:code[(@code='75367002' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-8dff9c32-464e-4bd1-806e-6b042211170c">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_Bloeddruk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="@nullFlavor or (@code='75367002' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_Bloeddruk): de elementwaarde MOET een zijn van 'code '75367002' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (entryRelationship_Bloeddruk)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="tmp-r-2b8d06a8-3ac4-432b-9a6f-bdeccc662809">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_Bloeddruk): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.39-2012-05-03T000000.html"
              test="@nullFlavor or (@code='completed')">(entryRelationship_Bloeddruk): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.40']]
Item: (entryRelationship_Bloeddruk)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.41']]
Item: (entryRelationship_Bloeddruk)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.39
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.39']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.42']]
Item: (entryRelationship_Bloeddruk)
--></pattern>
