<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Name: houding veranderen
Description: Template voor de weergave van houding veranderen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000">
   <title>houding veranderen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]
Item: (entryRelationship_houding_veranderen)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]"
         id="tmp-r-0f83d4df-bb9b-40cf-a532-1b9b72d25fb0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61'])&gt;=1 and not(hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']/@nullFlavor)">(entryRelationship_houding_veranderen): element hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61'])&lt;=1">(entryRelationship_houding_veranderen): element hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']
Item: (entryRelationship_houding_veranderen)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']"
         id="tmp-r-4daee37a-5fbb-4e30-9334-d991d2b08ec6">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="string(@classCode)='CLUSTER'">(entryRelationship_houding_veranderen): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_houding_veranderen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']/@nullFlavor)">(entryRelationship_houding_veranderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61'])&lt;=1">(entryRelationship_houding_veranderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:code[(@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_houding_veranderen): element hl7:code[(@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:code[(@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_houding_veranderen): element hl7:code[(@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:statusCode)&lt;=1">(entryRelationship_houding_veranderen): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']])&lt;=1">(entryRelationship_houding_veranderen): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']])&lt;=1">(entryRelationship_houding_veranderen): element hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']
Item: (entryRelationship_houding_veranderen)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']"
         id="tmp-r-8f256da0-dfab-4896-a20e-1b5cc6c23286">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.61'">(entryRelationship_houding_veranderen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.61' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']/hl7:code[(@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_houding_veranderen)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']/hl7:code[(@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-5d2a89be-ba54-4222-9397-857e1d4c26f9">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="@nullFlavor or (@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_houding_veranderen): de elementwaarde MOET een zijn van 'code '282830003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']/hl7:statusCode
Item: (entryRelationship_houding_veranderen)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']/hl7:statusCode"
         id="tmp-r-3fbfc2bb-2209-4ebb-8431-52b9773712ed">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_houding_veranderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.61-2012-05-03T000000.html"
              test="@nullFlavor or (@code='completed')">(entryRelationship_houding_veranderen): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.62']]
Item: (entryRelationship_houding_veranderen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']/hl7:component[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.66']]
Item: (entryRelationship_houding_veranderen)
--></pattern>
