<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Name: wassen bovenlichaam
Description: Template voor de weergave van entryRelationship wassen bovenlichaam 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000">
   <title>wassen bovenlichaam</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]
Item: (entryRelationship_wassen_bovenlichaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]"
         id="tmp-r-19177a9c-91b2-46d6-89c8-145c26e4ad0d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']/@nullFlavor)">(entryRelationship_wassen_bovenlichaam): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76'])&lt;=1">(entryRelationship_wassen_bovenlichaam): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']
Item: (entryRelationship_wassen_bovenlichaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']"
         id="tmp-r-7a0d9ab7-e25c-485b-8af2-354c06f9e34a">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_wassen_bovenlichaam): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_wassen_bovenlichaam): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.76'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.76']/@nullFlavor)">(entryRelationship_wassen_bovenlichaam): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.76'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.76'])&lt;=1">(entryRelationship_wassen_bovenlichaam): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.76'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="count(hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_wassen_bovenlichaam): element hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="count(hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_wassen_bovenlichaam): element hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&gt;=1 and not(hl7:value[@codeSystem='2.16.840.1.113883.6.254']/@nullFlavor)">(entryRelationship_wassen_bovenlichaam): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="count(hl7:value[@codeSystem='2.16.840.1.113883.6.254'])&lt;=1">(entryRelationship_wassen_bovenlichaam): element hl7:value[@codeSystem='2.16.840.1.113883.6.254'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.76']
Item: (entryRelationship_wassen_bovenlichaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.76']"
         id="tmp-r-32f90e70-14cc-4afd-9725-01d6121f045f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_wassen_bovenlichaam): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.76'">(entryRelationship_wassen_bovenlichaam): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.76' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_wassen_bovenlichaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-e50ba25c-87e4-4a6f-a254-5a53c2b4f49f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_wassen_bovenlichaam): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="@nullFlavor or (@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_wassen_bovenlichaam): de elementwaarde MOET een zijn van 'code '284785009' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(entryRelationship_wassen_bovenlichaam): element hl7:qualifier is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="count(hl7:qualifier)&lt;=1">(entryRelationship_wassen_bovenlichaam): element hl7:qualifier komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.777
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier
Item: (QualifierUpperBody)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier"
         id="tmp-r-633f5c92-11b7-4ad9-9090-40541afc20e3">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.777-2012-05-03T000000.html"
              test="count(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(QualifierUpperBody): element hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.777-2012-05-03T000000.html"
              test="count(hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(QualifierUpperBody): element hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.777-2012-05-03T000000.html"
              test="count(hl7:value[(@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:value[(@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(QualifierUpperBody): element hl7:value[(@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.777-2012-05-03T000000.html"
              test="count(hl7:value[(@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(QualifierUpperBody): element hl7:value[(@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.777
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (QualifierUpperBody)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:name[(@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-6f15f225-3724-4e9d-b9ac-32d26efa2068">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.777-2012-05-03T000000.html"
              test="@nullFlavor or (@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierUpperBody): de elementwaarde MOET een zijn van 'code '405813007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.777
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:value[(@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (QualifierUpperBody)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']/hl7:code[(@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')]/hl7:qualifier/hl7:value[(@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-8b133983-7c26-45ad-8adc-a60777be0837">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.777-2012-05-03T000000.html"
              test="@nullFlavor or (@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierUpperBody): de elementwaarde MOET een zijn van 'code '128262006' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']/hl7:value[@codeSystem='2.16.840.1.113883.6.254']
Item: (entryRelationship_wassen_bovenlichaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']/hl7:value[@codeSystem='2.16.840.1.113883.6.254']"
         id="tmp-r-e2bbb2a2-f2c6-49e3-adf5-06c645c70e25">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_wassen_bovenlichaam): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.6.254''.</assert>
      <let name="theICFCode" value="'d5100'"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.76-2012-05-03T000000.html"
              test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_wassen_bovenlichaam): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>
